#pragma once
/********************************************************************
 FileName:		Form1.h
 Dependencies:	Windows SDK during development.  When compiled, needs
				.NET framework 3.5 redistributable to run
 Processor:		x86
 Hardware:		Need a free USB port to connect USB peripheral device
 Compiler:  	Microsoft Visual C++ 2008 Express Edition (or better)
 Company:		Microchip Technology, Inc.

 Software License Agreement:

 The software supplied herewith by Microchip Technology Incorporated
 (the Company? for its PIC?Microcontroller is intended and
 supplied to you, the Companys customer, for use solely and
 exclusively with Microchip PIC Microcontroller products. The
 software is owned by the Company and/or its supplier, and is
 protected under applicable copyright laws. All rights are reserved.
 Any use in violation of the foregoing restrictions may subject the
 user to criminal sanctions under applicable laws, as well as to
 civil liability for the breach of the terms and conditions of this
 license.

 THIS SOFTWARE IS PROVIDED IN AN AS IS?CONDITION. NO WARRANTIES,
 WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.

********************************************************************
 File Description:

 Change History:
  Rev   Date         Description
  1.0   06/11/2009   Initial release

This demonstrates the HID USB DLL interface.

The DLL has four functions:
void USBHIDClassInit (VID, PID, Size) - Sets the Vendor and Product Id used in the class.
                                      Also specifies the Report Size.  This must match
									  the size specified in the devices report descriptor.

bool USBHIDWriteReport (buffer, len)  - Sends a buffer to the device.  len specifies the
                                      number of valid bytes in the buffer.  The data is
									  padded out to the report size with 0xFF.

bool USBHIDReadReport (buffer)        - Reads a packet from the device and returns it the
                                      buffer.  buffer[0] contains the first byte from the device.

bool IsConnected()                    - Checks with the OS to see if the device is connected
									  (VID & PID specified by USBHIDClassInit).  Returns
									  true if the device has is enumerated.  This is an OS
									  inquiry only and does not generate any traffic on the bus.

ReadReport and WriteReport functions use non-blocking IO calls.  That is the function
will return after one second even if the call fails.  The functions return a boolean indicating
success or failure.  This allows the application to gracefully recover when the device is
disconnected rather than hang.

*********************************************************************************************/

namespace USBDeviceHIDCap1x14 {

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;
using namespace HIDClass;
int Cap1x14_reg[256];
int rShape1_array[16][2];		//top, left
int gdataGridView_idx;

/// <summary>
/// Form1 Kn
///
/// ĵi: pGzܧoOW١ANܧPoOҨ̾ڤҦ .resx ɮp
///          Managed 귽sĶu㪺 'Resource File Name' ݩʡC
///          _hAoǳ]pu
///          NLkPoӪpaytƸ귽
///          TʡC
/// </summary>
public ref class Form1 : public System::Windows::Forms::Form {

public:
    Form1(void) {
        InitializeComponent();
        MCHPHIDClass::USBHIDClassInit(0x4D8, 0x003F, 64);
        //
        //TODO: b[Jغc禡{X
        //

        //add 16 row and init for dataGridView1
        int i, j, index;
        index = 0;
        for(i = 0; i < 16; i++) {
            dataGridView1->Columns[i]->Width = 42;
            dataGridView1->Rows->Add();
            dataGridView1->Rows[i]->ReadOnly = true;
            dataGridView1->Rows[i]->HeaderCell->Value = String::Format("{0:X2}", i * 16);
            for(j = 0; j < 16; j++) {
                Cap1x14_reg[index] = index;
                dataGridView1->Rows[i]->Cells[j]->Value = String::Format("{0:X2}", Cap1x14_reg[index]);
                index++;
            }
        }
        dataGridView1->RowHeadersWidth = 60;
        dataGridView1->TopLeftHeaderCell->Value = "  Address";

        dataGridView1->Rows[16]->Height = 0;
        dataGridView1->Rows[16]->ReadOnly = true;

        /////
    }

protected:
    /// <summary>
    /// MϥΤ귽C
    /// </summary>
    ~Form1() {
        if(components) {
            delete components;
        }
    }

private:
    System::Windows::Forms::Timer ^  timer1;
private:
    System::Windows::Forms::TabControl ^  tabControl1;












private:
    System::Windows::Forms::TabPage ^  tabPage2;
private:
    System::Windows::Forms::TabPage ^  tabPage3;















































































































































private:
    System::Windows::Forms::GroupBox ^  groupBox1;
private:
    System::Windows::Forms::Label ^  lblDeviceState;














private:
    System::Windows::Forms::Label ^  label9;
private:
    System::Windows::Forms::Label ^  label8;
private:
    System::Windows::Forms::NumericUpDown ^  numericUpDown1;
private:
    System::Windows::Forms::Button ^  button2;
private:
    System::Windows::Forms::Label ^  D2H_lab1;

private:
    System::Windows::Forms::Button ^  button1;

private:
    System::Windows::Forms::NumericUpDown ^  numericUpDown2;
private:
    System::Windows::Forms::NumericUpDown ^  UD_Data2;


private:
    System::Windows::Forms::NumericUpDown ^  UD_Data1;
private:
    System::Windows::Forms::NumericUpDown ^  UD_Data3;
private:
    System::Windows::Forms::NumericUpDown ^  UD_Data4;
private:
    System::Windows::Forms::NumericUpDown ^  UD_Data8;





private:
    System::Windows::Forms::NumericUpDown ^  UD_Data5;
private:
    System::Windows::Forms::NumericUpDown ^  UD_Data7;












private:
    System::Windows::Forms::NumericUpDown ^  UD_Data6;







private:
    System::Windows::Forms::GroupBox ^  groupBox2;
private:
    System::Windows::Forms::DataGridView ^  dataGridView1;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_00;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_01;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_02;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_03;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_04;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_05;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_06;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_07;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_08;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_09;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_0A;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_0B;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_0C;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_0D;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_0E;
private:
    System::Windows::Forms::DataGridViewTextBoxColumn ^  addr_0F;
private:
    System::Windows::Forms::Label ^  label_Reg_addr;
private:
    System::Windows::Forms::Label ^  label_Reg_context;
private:
    System::Windows::Forms::Label ^  label16;
private:
    System::Windows::Forms::Button ^  btn_reset_Cap1x14;
private:
    System::Windows::Forms::TabPage ^  tabPage1;
































































private:
    System::Windows::Forms::Label ^  label94;






private:
    AxMSComctlLib::AxProgressBar ^  axPBar_8;
private:
    System::Windows::Forms::Label ^  label_cs1;
private:

private:
    AxMSComctlLib::AxProgressBar ^  axPBar_1;
private:
    System::Windows::Forms::Label ^  label_cs2;








private:

private:
    AxMSComctlLib::AxProgressBar ^  axPBar_2;
private:
    System::Windows::Forms::Label ^  label_cs3;








private:

private:
    AxMSComctlLib::AxProgressBar ^  axPBar_3;
private:
    System::Windows::Forms::Label ^  label_cs4;








private:







private:
    AxMSComctlLib::AxProgressBar ^  axPBar_4;
private:
    System::Windows::Forms::Label ^  label_cs5;
private:

private:
    AxMSComctlLib::AxProgressBar ^  axPBar_5;
private:
    System::Windows::Forms::Label ^  label_cs6;







private:

private:
    AxMSComctlLib::AxProgressBar ^  axPBar_6;
private:
    System::Windows::Forms::Label ^  label_cs7;










private:

private:
    AxMSComctlLib::AxProgressBar ^  axPBar_7;
private: System::Windows::Forms::Label^  label_Delta_7;




private:


private:

private:

private:




private:

private:

private:








private:

private:







private:



























private:
    System::Windows::Forms::Label ^  label_Delta_8;
private: System::Windows::Forms::Label^  label_Delta_1;
private: System::Windows::Forms::Label^  label_Delta_2;

private: System::Windows::Forms::Label^  label_Delta_3;

private:

private:

private:

private:
    System::Windows::Forms::Label ^  label_Delta_4;
private: System::Windows::Forms::Label^  label_Delta_5;

private:

private: System::Windows::Forms::Label^  label_Delta_6;


private:


private:
    System::Windows::Forms::Label ^  label1;
private:
    System::Windows::Forms::Label ^  label3;
private: System::Windows::Forms::Label^  label_thr_cs1;

private: System::Windows::Forms::Label^  label_thr_cs2;
private:


private: System::Windows::Forms::Label^  label_thr_cs3;
private:


private: System::Windows::Forms::Label^  label_thr_cs4;
private:


private: System::Windows::Forms::Label^  label_thr_cs5;

private:


private: System::Windows::Forms::Label^  label_thr_cs6;
private:


private: System::Windows::Forms::Label^  label_thr_cs7;
private:


private:

private:
    System::Windows::Forms::Label ^  label4;
private: System::Windows::Forms::Label^  label_thr_cs8;







private:

private:

private:
    System::Windows::Forms::Label ^  label2;
private:
    System::Windows::Forms::Label ^  label_RW;
private:
    System::Windows::Forms::Label ^  label_Def_Value;
private:
    System::Windows::Forms::GroupBox ^  groupBox3;

private:
    System::Windows::Forms::Button ^  Reset_MCU;
private:
    System::Windows::Forms::Label ^  label26;
private:
    System::Windows::Forms::Label ^  label29;
private:
    System::Windows::Forms::Label ^  label30;
private:
    System::Windows::Forms::Label ^  label32;
private:
    System::Windows::Forms::Label ^  label28;
private:
    System::Windows::Forms::Label ^  label27;
private:
    System::Windows::Forms::Label ^  label_RandC_backup_06h;
private:
    System::Windows::Forms::Label ^  label_RandC_backup_0Eh;
private:
    System::Windows::Forms::Label ^  label_RandC_backup_0Fh;
private:
    System::Windows::Forms::GroupBox ^  groupBox4;
private:
    System::Windows::Forms::Label ^  label33;
private:
    System::Windows::Forms::Label ^  label34;
private:
    System::Windows::Forms::Label ^  label35;
private:
    System::Windows::Forms::Label ^  label_Pos_Vol;
private:
    System::Windows::Forms::RadioButton ^  radioButton_Vol;


private:
    System::Windows::Forms::RadioButton ^  radioButton_Pos;
private:
    System::Windows::Forms::ProgressBar ^  pBar_Group;
private:
    System::Windows::Forms::GroupBox ^  groupBox5;
private:
    System::Windows::Forms::Button ^  button_clear_int;
private:
    System::Windows::Forms::Label ^  label_thermal;
private:
    System::Windows::Forms::Label ^  label17;
private:
    System::Windows::Forms::Label ^  label18;


private:
    System::Windows::Forms::TrackBar ^  trackBar_PWM;
private:
    System::Windows::Forms::Label ^  label7;
private:
    System::Windows::Forms::Label ^  label10;
private: System::Windows::Forms::TrackBar^  trackBar_cs7;
private: System::Windows::Forms::TrackBar^  trackBar_cs6;

private: System::Windows::Forms::TrackBar^  trackBar_cs5;
private: System::Windows::Forms::TrackBar^  trackBar_cs4;
private: System::Windows::Forms::TrackBar^  trackBar_cs3;
private: System::Windows::Forms::TrackBar^  trackBar_cs2;
private: System::Windows::Forms::TrackBar^  trackBar_cs1;
private: System::Windows::Forms::TrackBar^  trackBar_cs8;
































private:
    System::ComponentModel::IContainer ^  components;
protected:

private:
    /// <summary>
    /// ]puһݪܼơC
    /// </summary>


#pragma region Windows Form Designer generated code
    /// <summary>
    /// ]pu䴩һݪk - ФŨϥε{Xs边קoӤkeC
    ///
    /// </summary>
    void InitializeComponent(void) {
		this->components = (gcnew System::ComponentModel::Container());
		System::ComponentModel::ComponentResourceManager^  resources = (gcnew System::ComponentModel::ComponentResourceManager(Form1::typeid));
		this->timer1 = (gcnew System::Windows::Forms::Timer(this->components));
		this->tabControl1 = (gcnew System::Windows::Forms::TabControl());
		this->tabPage1 = (gcnew System::Windows::Forms::TabPage());
		this->groupBox5 = (gcnew System::Windows::Forms::GroupBox());
		this->pBar_Group = (gcnew System::Windows::Forms::ProgressBar());
		this->label_Pos_Vol = (gcnew System::Windows::Forms::Label());
		this->radioButton_Pos = (gcnew System::Windows::Forms::RadioButton());
		this->radioButton_Vol = (gcnew System::Windows::Forms::RadioButton());
		this->label29 = (gcnew System::Windows::Forms::Label());
		this->label30 = (gcnew System::Windows::Forms::Label());
		this->label32 = (gcnew System::Windows::Forms::Label());
		this->label28 = (gcnew System::Windows::Forms::Label());
		this->label27 = (gcnew System::Windows::Forms::Label());
		this->label26 = (gcnew System::Windows::Forms::Label());
		this->label2 = (gcnew System::Windows::Forms::Label());
		this->label_thr_cs8 = (gcnew System::Windows::Forms::Label());
		this->label_thr_cs1 = (gcnew System::Windows::Forms::Label());
		this->label_thr_cs2 = (gcnew System::Windows::Forms::Label());
		this->label_thr_cs3 = (gcnew System::Windows::Forms::Label());
		this->label_thr_cs4 = (gcnew System::Windows::Forms::Label());
		this->label_thr_cs5 = (gcnew System::Windows::Forms::Label());
		this->label_thr_cs6 = (gcnew System::Windows::Forms::Label());
		this->label_thr_cs7 = (gcnew System::Windows::Forms::Label());
		this->label4 = (gcnew System::Windows::Forms::Label());
		this->label3 = (gcnew System::Windows::Forms::Label());
		this->label1 = (gcnew System::Windows::Forms::Label());
		this->label_Delta_8 = (gcnew System::Windows::Forms::Label());
		this->label_Delta_1 = (gcnew System::Windows::Forms::Label());
		this->label_Delta_2 = (gcnew System::Windows::Forms::Label());
		this->label_Delta_3 = (gcnew System::Windows::Forms::Label());
		this->label_Delta_4 = (gcnew System::Windows::Forms::Label());
		this->label_Delta_5 = (gcnew System::Windows::Forms::Label());
		this->label_Delta_6 = (gcnew System::Windows::Forms::Label());
		this->label_Delta_7 = (gcnew System::Windows::Forms::Label());
		this->label94 = (gcnew System::Windows::Forms::Label());
		this->axPBar_8 = (gcnew AxMSComctlLib::AxProgressBar());
		this->label_cs1 = (gcnew System::Windows::Forms::Label());
		this->axPBar_1 = (gcnew AxMSComctlLib::AxProgressBar());
		this->label_cs2 = (gcnew System::Windows::Forms::Label());
		this->axPBar_2 = (gcnew AxMSComctlLib::AxProgressBar());
		this->label_cs3 = (gcnew System::Windows::Forms::Label());
		this->axPBar_3 = (gcnew AxMSComctlLib::AxProgressBar());
		this->label_cs4 = (gcnew System::Windows::Forms::Label());
		this->axPBar_4 = (gcnew AxMSComctlLib::AxProgressBar());
		this->label_cs5 = (gcnew System::Windows::Forms::Label());
		this->axPBar_5 = (gcnew AxMSComctlLib::AxProgressBar());
		this->label_cs6 = (gcnew System::Windows::Forms::Label());
		this->axPBar_6 = (gcnew AxMSComctlLib::AxProgressBar());
		this->label_cs7 = (gcnew System::Windows::Forms::Label());
		this->axPBar_7 = (gcnew AxMSComctlLib::AxProgressBar());
		this->trackBar_cs7 = (gcnew System::Windows::Forms::TrackBar());
		this->trackBar_cs6 = (gcnew System::Windows::Forms::TrackBar());
		this->trackBar_cs5 = (gcnew System::Windows::Forms::TrackBar());
		this->trackBar_cs4 = (gcnew System::Windows::Forms::TrackBar());
		this->trackBar_cs3 = (gcnew System::Windows::Forms::TrackBar());
		this->trackBar_cs2 = (gcnew System::Windows::Forms::TrackBar());
		this->trackBar_cs1 = (gcnew System::Windows::Forms::TrackBar());
		this->trackBar_cs8 = (gcnew System::Windows::Forms::TrackBar());
		this->tabPage2 = (gcnew System::Windows::Forms::TabPage());
		this->dataGridView1 = (gcnew System::Windows::Forms::DataGridView());
		this->addr_00 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_01 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_02 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_03 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_04 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_05 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_06 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_07 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_08 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_09 = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_0A = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_0B = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_0C = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_0D = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_0E = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->addr_0F = (gcnew System::Windows::Forms::DataGridViewTextBoxColumn());
		this->tabPage3 = (gcnew System::Windows::Forms::TabPage());
		this->label10 = (gcnew System::Windows::Forms::Label());
		this->label7 = (gcnew System::Windows::Forms::Label());
		this->label17 = (gcnew System::Windows::Forms::Label());
		this->label18 = (gcnew System::Windows::Forms::Label());
		this->trackBar_PWM = (gcnew System::Windows::Forms::TrackBar());
		this->label_thermal = (gcnew System::Windows::Forms::Label());
		this->groupBox2 = (gcnew System::Windows::Forms::GroupBox());
		this->label16 = (gcnew System::Windows::Forms::Label());
		this->label9 = (gcnew System::Windows::Forms::Label());
		this->label8 = (gcnew System::Windows::Forms::Label());
		this->UD_Data6 = (gcnew System::Windows::Forms::NumericUpDown());
		this->numericUpDown1 = (gcnew System::Windows::Forms::NumericUpDown());
		this->UD_Data7 = (gcnew System::Windows::Forms::NumericUpDown());
		this->button2 = (gcnew System::Windows::Forms::Button());
		this->D2H_lab1 = (gcnew System::Windows::Forms::Label());
		this->UD_Data5 = (gcnew System::Windows::Forms::NumericUpDown());
		this->button1 = (gcnew System::Windows::Forms::Button());
		this->UD_Data8 = (gcnew System::Windows::Forms::NumericUpDown());
		this->numericUpDown2 = (gcnew System::Windows::Forms::NumericUpDown());
		this->UD_Data2 = (gcnew System::Windows::Forms::NumericUpDown());
		this->UD_Data4 = (gcnew System::Windows::Forms::NumericUpDown());
		this->UD_Data1 = (gcnew System::Windows::Forms::NumericUpDown());
		this->UD_Data3 = (gcnew System::Windows::Forms::NumericUpDown());
		this->groupBox1 = (gcnew System::Windows::Forms::GroupBox());
		this->lblDeviceState = (gcnew System::Windows::Forms::Label());
		this->label_Reg_addr = (gcnew System::Windows::Forms::Label());
		this->label_Reg_context = (gcnew System::Windows::Forms::Label());
		this->btn_reset_Cap1x14 = (gcnew System::Windows::Forms::Button());
		this->label_RW = (gcnew System::Windows::Forms::Label());
		this->label_Def_Value = (gcnew System::Windows::Forms::Label());
		this->groupBox3 = (gcnew System::Windows::Forms::GroupBox());
		this->button_clear_int = (gcnew System::Windows::Forms::Button());
		this->Reset_MCU = (gcnew System::Windows::Forms::Button());
		this->label_RandC_backup_06h = (gcnew System::Windows::Forms::Label());
		this->label_RandC_backup_0Eh = (gcnew System::Windows::Forms::Label());
		this->label_RandC_backup_0Fh = (gcnew System::Windows::Forms::Label());
		this->groupBox4 = (gcnew System::Windows::Forms::GroupBox());
		this->label33 = (gcnew System::Windows::Forms::Label());
		this->label34 = (gcnew System::Windows::Forms::Label());
		this->label35 = (gcnew System::Windows::Forms::Label());
		this->tabControl1->SuspendLayout();
		this->tabPage1->SuspendLayout();
		this->groupBox5->SuspendLayout();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_8))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_1))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_2))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_3))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_4))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_5))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_6))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_7))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs7))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs6))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs5))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs4))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs3))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs2))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs1))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs8))->BeginInit();
		this->tabPage2->SuspendLayout();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->dataGridView1))->BeginInit();
		this->tabPage3->SuspendLayout();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_PWM))->BeginInit();
		this->groupBox2->SuspendLayout();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data6))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDown1))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data7))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data5))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data8))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDown2))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data2))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data4))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data1))->BeginInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data3))->BeginInit();
		this->groupBox1->SuspendLayout();
		this->groupBox3->SuspendLayout();
		this->groupBox4->SuspendLayout();
		this->SuspendLayout();
		// 
		// timer1
		// 
		this->timer1->Enabled = true;
		this->timer1->Interval = 10;
		this->timer1->Tick += gcnew System::EventHandler(this, &Form1::timer1_Tick);
		// 
		// tabControl1
		// 
		this->tabControl1->Controls->Add(this->tabPage1);
		this->tabControl1->Controls->Add(this->tabPage2);
		this->tabControl1->Controls->Add(this->tabPage3);
		this->tabControl1->Location = System::Drawing::Point(1, 1);
		this->tabControl1->Name = L"tabControl1";
		this->tabControl1->SelectedIndex = 0;
		this->tabControl1->Size = System::Drawing::Size(739, 496);
		this->tabControl1->TabIndex = 28;
		this->tabControl1->Click += gcnew System::EventHandler(this, &Form1::tabControl1_Click);
		// 
		// tabPage1
		// 
		this->tabPage1->BackColor = System::Drawing::SystemColors::Menu;
		this->tabPage1->Controls->Add(this->groupBox5);
		this->tabPage1->Controls->Add(this->label29);
		this->tabPage1->Controls->Add(this->label30);
		this->tabPage1->Controls->Add(this->label32);
		this->tabPage1->Controls->Add(this->label28);
		this->tabPage1->Controls->Add(this->label27);
		this->tabPage1->Controls->Add(this->label26);
		this->tabPage1->Controls->Add(this->label2);
		this->tabPage1->Controls->Add(this->label_thr_cs8);
		this->tabPage1->Controls->Add(this->label_thr_cs1);
		this->tabPage1->Controls->Add(this->label_thr_cs2);
		this->tabPage1->Controls->Add(this->label_thr_cs3);
		this->tabPage1->Controls->Add(this->label_thr_cs4);
		this->tabPage1->Controls->Add(this->label_thr_cs5);
		this->tabPage1->Controls->Add(this->label_thr_cs6);
		this->tabPage1->Controls->Add(this->label_thr_cs7);
		this->tabPage1->Controls->Add(this->label4);
		this->tabPage1->Controls->Add(this->label3);
		this->tabPage1->Controls->Add(this->label1);
		this->tabPage1->Controls->Add(this->label_Delta_8);
		this->tabPage1->Controls->Add(this->label_Delta_1);
		this->tabPage1->Controls->Add(this->label_Delta_2);
		this->tabPage1->Controls->Add(this->label_Delta_3);
		this->tabPage1->Controls->Add(this->label_Delta_4);
		this->tabPage1->Controls->Add(this->label_Delta_5);
		this->tabPage1->Controls->Add(this->label_Delta_6);
		this->tabPage1->Controls->Add(this->label_Delta_7);
		this->tabPage1->Controls->Add(this->label94);
		this->tabPage1->Controls->Add(this->axPBar_8);
		this->tabPage1->Controls->Add(this->label_cs1);
		this->tabPage1->Controls->Add(this->axPBar_1);
		this->tabPage1->Controls->Add(this->label_cs2);
		this->tabPage1->Controls->Add(this->axPBar_2);
		this->tabPage1->Controls->Add(this->label_cs3);
		this->tabPage1->Controls->Add(this->axPBar_3);
		this->tabPage1->Controls->Add(this->label_cs4);
		this->tabPage1->Controls->Add(this->axPBar_4);
		this->tabPage1->Controls->Add(this->label_cs5);
		this->tabPage1->Controls->Add(this->axPBar_5);
		this->tabPage1->Controls->Add(this->label_cs6);
		this->tabPage1->Controls->Add(this->axPBar_6);
		this->tabPage1->Controls->Add(this->label_cs7);
		this->tabPage1->Controls->Add(this->axPBar_7);
		this->tabPage1->Controls->Add(this->trackBar_cs7);
		this->tabPage1->Controls->Add(this->trackBar_cs6);
		this->tabPage1->Controls->Add(this->trackBar_cs5);
		this->tabPage1->Controls->Add(this->trackBar_cs4);
		this->tabPage1->Controls->Add(this->trackBar_cs3);
		this->tabPage1->Controls->Add(this->trackBar_cs2);
		this->tabPage1->Controls->Add(this->trackBar_cs1);
		this->tabPage1->Controls->Add(this->trackBar_cs8);
		this->tabPage1->Location = System::Drawing::Point(4, 22);
		this->tabPage1->Name = L"tabPage1";
		this->tabPage1->Padding = System::Windows::Forms::Padding(3);
		this->tabPage1->Size = System::Drawing::Size(731, 470);
		this->tabPage1->TabIndex = 0;
		this->tabPage1->Text = L"Main";
		// 
		// groupBox5
		// 
		this->groupBox5->Controls->Add(this->pBar_Group);
		this->groupBox5->Controls->Add(this->label_Pos_Vol);
		this->groupBox5->Controls->Add(this->radioButton_Pos);
		this->groupBox5->Controls->Add(this->radioButton_Vol);
		this->groupBox5->Location = System::Drawing::Point(242, 304);
		this->groupBox5->Name = L"groupBox5";
		this->groupBox5->Size = System::Drawing::Size(466, 119);
		this->groupBox5->TabIndex = 221;
		this->groupBox5->TabStop = false;
		this->groupBox5->Text = L"Group";
		// 
		// pBar_Group
		// 
		this->pBar_Group->Location = System::Drawing::Point(25, 37);
		this->pBar_Group->Name = L"pBar_Group";
		this->pBar_Group->Size = System::Drawing::Size(281, 23);
		this->pBar_Group->Step = 1;
		this->pBar_Group->TabIndex = 216;
		// 
		// label_Pos_Vol
		// 
		this->label_Pos_Vol->AutoSize = true;
		this->label_Pos_Vol->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Pos_Vol->ForeColor = System::Drawing::Color::MediumSeaGreen;
		this->label_Pos_Vol->Location = System::Drawing::Point(22, 90);
		this->label_Pos_Vol->Name = L"label_Pos_Vol";
		this->label_Pos_Vol->Size = System::Drawing::Size(61, 16);
		this->label_Pos_Vol->TabIndex = 220;
		this->label_Pos_Vol->Text = L"label18";
		// 
		// radioButton_Pos
		// 
		this->radioButton_Pos->AutoSize = true;
		this->radioButton_Pos->Checked = true;
		this->radioButton_Pos->Location = System::Drawing::Point(337, 28);
		this->radioButton_Pos->Name = L"radioButton_Pos";
		this->radioButton_Pos->Size = System::Drawing::Size(90, 16);
		this->radioButton_Pos->TabIndex = 218;
		this->radioButton_Pos->TabStop = true;
		this->radioButton_Pos->Text = L"Position Mode";
		this->radioButton_Pos->UseVisualStyleBackColor = true;
		this->radioButton_Pos->CheckedChanged += gcnew System::EventHandler(this, &Form1::radioButton_Pos_CheckedChanged);
		// 
		// radioButton_Vol
		// 
		this->radioButton_Vol->AutoSize = true;
		this->radioButton_Vol->Location = System::Drawing::Point(337, 56);
		this->radioButton_Vol->Name = L"radioButton_Vol";
		this->radioButton_Vol->Size = System::Drawing::Size(105, 16);
		this->radioButton_Vol->TabIndex = 219;
		this->radioButton_Vol->Text = L"Volumetric Mode";
		this->radioButton_Vol->UseVisualStyleBackColor = true;
		this->radioButton_Vol->CheckedChanged += gcnew System::EventHandler(this, &Form1::radioButton_Vol_CheckedChanged);
		// 
		// label29
		// 
		this->label29->AutoSize = true;
		this->label29->BackColor = System::Drawing::SystemColors::Menu;
		this->label29->Font = (gcnew System::Drawing::Font(L"sө", 9.75F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label29->ForeColor = System::Drawing::Color::OrangeRed;
		this->label29->Location = System::Drawing::Point(48, 372);
		this->label29->Name = L"label29";
		this->label29->Size = System::Drawing::Size(19, 13);
		this->label29->TabIndex = 215;
		this->label29->Text = L"32";
		// 
		// label30
		// 
		this->label30->AutoSize = true;
		this->label30->BackColor = System::Drawing::SystemColors::Menu;
		this->label30->Font = (gcnew System::Drawing::Font(L"sө", 9.75F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label30->ForeColor = System::Drawing::Color::OrangeRed;
		this->label30->Location = System::Drawing::Point(48, 331);
		this->label30->Name = L"label30";
		this->label30->Size = System::Drawing::Size(19, 13);
		this->label30->TabIndex = 214;
		this->label30->Text = L"64";
		// 
		// label32
		// 
		this->label32->AutoSize = true;
		this->label32->BackColor = System::Drawing::SystemColors::Menu;
		this->label32->Font = (gcnew System::Drawing::Font(L"sө", 9.75F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label32->ForeColor = System::Drawing::Color::OrangeRed;
		this->label32->Location = System::Drawing::Point(48, 283);
		this->label32->Name = L"label32";
		this->label32->Size = System::Drawing::Size(25, 13);
		this->label32->TabIndex = 213;
		this->label32->Text = L"127";
		// 
		// label28
		// 
		this->label28->AutoSize = true;
		this->label28->BackColor = System::Drawing::SystemColors::Menu;
		this->label28->Font = (gcnew System::Drawing::Font(L"sө", 9.75F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label28->ForeColor = System::Drawing::Color::OrangeRed;
		this->label28->Location = System::Drawing::Point(54, 146);
		this->label28->Name = L"label28";
		this->label28->Size = System::Drawing::Size(19, 13);
		this->label28->TabIndex = 212;
		this->label28->Text = L"32";
		// 
		// label27
		// 
		this->label27->AutoSize = true;
		this->label27->BackColor = System::Drawing::SystemColors::Menu;
		this->label27->Font = (gcnew System::Drawing::Font(L"sө", 9.75F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label27->ForeColor = System::Drawing::Color::OrangeRed;
		this->label27->Location = System::Drawing::Point(54, 105);
		this->label27->Name = L"label27";
		this->label27->Size = System::Drawing::Size(19, 13);
		this->label27->TabIndex = 211;
		this->label27->Text = L"64";
		// 
		// label26
		// 
		this->label26->AutoSize = true;
		this->label26->BackColor = System::Drawing::SystemColors::Menu;
		this->label26->Font = (gcnew System::Drawing::Font(L"sө", 9.75F, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label26->ForeColor = System::Drawing::Color::OrangeRed;
		this->label26->Location = System::Drawing::Point(54, 59);
		this->label26->Name = L"label26";
		this->label26->Size = System::Drawing::Size(25, 13);
		this->label26->TabIndex = 210;
		this->label26->Text = L"127";
		// 
		// label2
		// 
		this->label2->AutoSize = true;
		this->label2->BackColor = System::Drawing::SystemColors::Menu;
		this->label2->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label2->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label2->Location = System::Drawing::Point(6, 391);
		this->label2->Name = L"label2";
		this->label2->Size = System::Drawing::Size(67, 32);
		this->label2->TabIndex = 209;
		this->label2->Text = L"    Delta\r\n    (17h)";
		// 
		// label_thr_cs8
		// 
		this->label_thr_cs8->AutoSize = true;
		this->label_thr_cs8->BackColor = System::Drawing::SystemColors::Menu;
		this->label_thr_cs8->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thr_cs8->ForeColor = System::Drawing::Color::OrangeRed;
		this->label_thr_cs8->Location = System::Drawing::Point(109, 442);
		this->label_thr_cs8->Name = L"label_thr_cs8";
		this->label_thr_cs8->Size = System::Drawing::Size(35, 16);
		this->label_thr_cs8->TabIndex = 202;
		this->label_thr_cs8->Text = L"37h";
		// 
		// label_thr_cs1
		// 
		this->label_thr_cs1->AutoSize = true;
		this->label_thr_cs1->BackColor = System::Drawing::SystemColors::Menu;
		this->label_thr_cs1->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thr_cs1->ForeColor = System::Drawing::Color::OrangeRed;
		this->label_thr_cs1->Location = System::Drawing::Point(607, 217);
		this->label_thr_cs1->Name = L"label_thr_cs1";
		this->label_thr_cs1->Size = System::Drawing::Size(35, 16);
		this->label_thr_cs1->TabIndex = 201;
		this->label_thr_cs1->Text = L"30h";
		// 
		// label_thr_cs2
		// 
		this->label_thr_cs2->AutoSize = true;
		this->label_thr_cs2->BackColor = System::Drawing::SystemColors::Menu;
		this->label_thr_cs2->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thr_cs2->ForeColor = System::Drawing::Color::OrangeRed;
		this->label_thr_cs2->Location = System::Drawing::Point(524, 217);
		this->label_thr_cs2->Name = L"label_thr_cs2";
		this->label_thr_cs2->Size = System::Drawing::Size(35, 16);
		this->label_thr_cs2->TabIndex = 200;
		this->label_thr_cs2->Text = L"31h";
		// 
		// label_thr_cs3
		// 
		this->label_thr_cs3->AutoSize = true;
		this->label_thr_cs3->BackColor = System::Drawing::SystemColors::Menu;
		this->label_thr_cs3->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thr_cs3->ForeColor = System::Drawing::Color::OrangeRed;
		this->label_thr_cs3->Location = System::Drawing::Point(441, 217);
		this->label_thr_cs3->Name = L"label_thr_cs3";
		this->label_thr_cs3->Size = System::Drawing::Size(35, 16);
		this->label_thr_cs3->TabIndex = 199;
		this->label_thr_cs3->Text = L"32h";
		// 
		// label_thr_cs4
		// 
		this->label_thr_cs4->AutoSize = true;
		this->label_thr_cs4->BackColor = System::Drawing::SystemColors::Menu;
		this->label_thr_cs4->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thr_cs4->ForeColor = System::Drawing::Color::OrangeRed;
		this->label_thr_cs4->Location = System::Drawing::Point(358, 217);
		this->label_thr_cs4->Name = L"label_thr_cs4";
		this->label_thr_cs4->Size = System::Drawing::Size(35, 16);
		this->label_thr_cs4->TabIndex = 198;
		this->label_thr_cs4->Text = L"33h";
		// 
		// label_thr_cs5
		// 
		this->label_thr_cs5->AutoSize = true;
		this->label_thr_cs5->BackColor = System::Drawing::SystemColors::Menu;
		this->label_thr_cs5->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thr_cs5->ForeColor = System::Drawing::Color::OrangeRed;
		this->label_thr_cs5->Location = System::Drawing::Point(275, 217);
		this->label_thr_cs5->Name = L"label_thr_cs5";
		this->label_thr_cs5->Size = System::Drawing::Size(35, 16);
		this->label_thr_cs5->TabIndex = 197;
		this->label_thr_cs5->Text = L"34h";
		// 
		// label_thr_cs6
		// 
		this->label_thr_cs6->AutoSize = true;
		this->label_thr_cs6->BackColor = System::Drawing::SystemColors::Menu;
		this->label_thr_cs6->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thr_cs6->ForeColor = System::Drawing::Color::OrangeRed;
		this->label_thr_cs6->Location = System::Drawing::Point(192, 217);
		this->label_thr_cs6->Name = L"label_thr_cs6";
		this->label_thr_cs6->Size = System::Drawing::Size(35, 16);
		this->label_thr_cs6->TabIndex = 196;
		this->label_thr_cs6->Text = L"35h";
		// 
		// label_thr_cs7
		// 
		this->label_thr_cs7->AutoSize = true;
		this->label_thr_cs7->BackColor = System::Drawing::SystemColors::Menu;
		this->label_thr_cs7->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thr_cs7->ForeColor = System::Drawing::Color::OrangeRed;
		this->label_thr_cs7->Location = System::Drawing::Point(109, 217);
		this->label_thr_cs7->Name = L"label_thr_cs7";
		this->label_thr_cs7->Size = System::Drawing::Size(35, 16);
		this->label_thr_cs7->TabIndex = 195;
		this->label_thr_cs7->Text = L"36h";
		// 
		// label4
		// 
		this->label4->AutoSize = true;
		this->label4->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label4->ForeColor = System::Drawing::Color::OrangeRed;
		this->label4->Location = System::Drawing::Point(21, 427);
		this->label4->Name = L"label4";
		this->label4->Size = System::Drawing::Size(80, 32);
		this->label4->TabIndex = 194;
		this->label4->Text = L"Sensor \r\nThreshold";
		// 
		// label3
		// 
		this->label3->AutoSize = true;
		this->label3->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label3->ForeColor = System::Drawing::Color::OrangeRed;
		this->label3->Location = System::Drawing::Point(21, 202);
		this->label3->Name = L"label3";
		this->label3->Size = System::Drawing::Size(80, 32);
		this->label3->TabIndex = 193;
		this->label3->Text = L"Sensor \r\nThreshold";
		// 
		// label1
		// 
		this->label1->AutoSize = true;
		this->label1->BackColor = System::Drawing::SystemColors::Menu;
		this->label1->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label1->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label1->Location = System::Drawing::Point(6, 170);
		this->label1->Name = L"label1";
		this->label1->Size = System::Drawing::Size(83, 32);
		this->label1->TabIndex = 191;
		this->label1->Text = L"    Delta\r\n(10h~16h)";
		// 
		// label_Delta_8
		// 
		this->label_Delta_8->AutoSize = true;
		this->label_Delta_8->BackColor = System::Drawing::SystemColors::Menu;
		this->label_Delta_8->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Delta_8->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label_Delta_8->Location = System::Drawing::Point(109, 417);
		this->label_Delta_8->Name = L"label_Delta_8";
		this->label_Delta_8->Size = System::Drawing::Size(46, 16);
		this->label_Delta_8->TabIndex = 184;
		this->label_Delta_8->Text = L"Delta";
		// 
		// label_Delta_1
		// 
		this->label_Delta_1->AutoSize = true;
		this->label_Delta_1->BackColor = System::Drawing::SystemColors::Menu;
		this->label_Delta_1->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Delta_1->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label_Delta_1->Location = System::Drawing::Point(607, 190);
		this->label_Delta_1->Name = L"label_Delta_1";
		this->label_Delta_1->Size = System::Drawing::Size(46, 16);
		this->label_Delta_1->TabIndex = 183;
		this->label_Delta_1->Text = L"Delta";
		// 
		// label_Delta_2
		// 
		this->label_Delta_2->AutoSize = true;
		this->label_Delta_2->BackColor = System::Drawing::SystemColors::Menu;
		this->label_Delta_2->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Delta_2->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label_Delta_2->Location = System::Drawing::Point(524, 190);
		this->label_Delta_2->Name = L"label_Delta_2";
		this->label_Delta_2->Size = System::Drawing::Size(46, 16);
		this->label_Delta_2->TabIndex = 182;
		this->label_Delta_2->Text = L"Delta";
		// 
		// label_Delta_3
		// 
		this->label_Delta_3->AutoSize = true;
		this->label_Delta_3->BackColor = System::Drawing::SystemColors::Menu;
		this->label_Delta_3->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Delta_3->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label_Delta_3->Location = System::Drawing::Point(441, 190);
		this->label_Delta_3->Name = L"label_Delta_3";
		this->label_Delta_3->Size = System::Drawing::Size(46, 16);
		this->label_Delta_3->TabIndex = 181;
		this->label_Delta_3->Text = L"Delta";
		// 
		// label_Delta_4
		// 
		this->label_Delta_4->AutoSize = true;
		this->label_Delta_4->BackColor = System::Drawing::SystemColors::Menu;
		this->label_Delta_4->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Delta_4->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label_Delta_4->Location = System::Drawing::Point(358, 190);
		this->label_Delta_4->Name = L"label_Delta_4";
		this->label_Delta_4->Size = System::Drawing::Size(46, 16);
		this->label_Delta_4->TabIndex = 180;
		this->label_Delta_4->Text = L"Delta";
		// 
		// label_Delta_5
		// 
		this->label_Delta_5->AutoSize = true;
		this->label_Delta_5->BackColor = System::Drawing::SystemColors::Menu;
		this->label_Delta_5->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Delta_5->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label_Delta_5->Location = System::Drawing::Point(275, 190);
		this->label_Delta_5->Name = L"label_Delta_5";
		this->label_Delta_5->Size = System::Drawing::Size(46, 16);
		this->label_Delta_5->TabIndex = 179;
		this->label_Delta_5->Text = L"Delta";
		// 
		// label_Delta_6
		// 
		this->label_Delta_6->AutoSize = true;
		this->label_Delta_6->BackColor = System::Drawing::SystemColors::Menu;
		this->label_Delta_6->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Delta_6->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label_Delta_6->Location = System::Drawing::Point(192, 190);
		this->label_Delta_6->Name = L"label_Delta_6";
		this->label_Delta_6->Size = System::Drawing::Size(46, 16);
		this->label_Delta_6->TabIndex = 178;
		this->label_Delta_6->Text = L"Delta";
		// 
		// label_Delta_7
		// 
		this->label_Delta_7->AutoSize = true;
		this->label_Delta_7->BackColor = System::Drawing::SystemColors::Menu;
		this->label_Delta_7->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Delta_7->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label_Delta_7->Location = System::Drawing::Point(109, 190);
		this->label_Delta_7->Name = L"label_Delta_7";
		this->label_Delta_7->Size = System::Drawing::Size(46, 16);
		this->label_Delta_7->TabIndex = 176;
		this->label_Delta_7->Text = L"Delta";
		// 
		// label94
		// 
		this->label94->AutoSize = true;
		this->label94->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label94->Location = System::Drawing::Point(57, 258);
		this->label94->Name = L"label94";
		this->label94->Size = System::Drawing::Size(121, 16);
		this->label94->TabIndex = 98;
		this->label94->Text = L"Group(CS8~14)";
		// 
		// axPBar_8
		// 
		this->axPBar_8->Location = System::Drawing::Point(112, 282);
		this->axPBar_8->Name = L"axPBar_8";
		this->axPBar_8->OcxState = (cli::safe_cast<System::Windows::Forms::AxHost::State^  >(resources->GetObject(L"axPBar_8.OcxState")));
		this->axPBar_8->Size = System::Drawing::Size(16, 128);
		this->axPBar_8->TabIndex = 91;
		// 
		// label_cs1
		// 
		this->label_cs1->AutoSize = true;
		this->label_cs1->Font = (gcnew System::Drawing::Font(L"sө", 14.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_cs1->Location = System::Drawing::Point(597, 31);
		this->label_cs1->Name = L"label_cs1";
		this->label_cs1->Size = System::Drawing::Size(43, 19);
		this->label_cs1->TabIndex = 89;
		this->label_cs1->Text = L"CS1";
		// 
		// axPBar_1
		// 
		this->axPBar_1->Location = System::Drawing::Point(610, 55);
		this->axPBar_1->Name = L"axPBar_1";
		this->axPBar_1->OcxState = (cli::safe_cast<System::Windows::Forms::AxHost::State^  >(resources->GetObject(L"axPBar_1.OcxState")));
		this->axPBar_1->Size = System::Drawing::Size(16, 128);
		this->axPBar_1->TabIndex = 82;
		// 
		// label_cs2
		// 
		this->label_cs2->AutoSize = true;
		this->label_cs2->Font = (gcnew System::Drawing::Font(L"sө", 14.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_cs2->Location = System::Drawing::Point(514, 31);
		this->label_cs2->Name = L"label_cs2";
		this->label_cs2->Size = System::Drawing::Size(43, 19);
		this->label_cs2->TabIndex = 80;
		this->label_cs2->Text = L"CS2";
		// 
		// axPBar_2
		// 
		this->axPBar_2->Location = System::Drawing::Point(527, 55);
		this->axPBar_2->Name = L"axPBar_2";
		this->axPBar_2->OcxState = (cli::safe_cast<System::Windows::Forms::AxHost::State^  >(resources->GetObject(L"axPBar_2.OcxState")));
		this->axPBar_2->Size = System::Drawing::Size(16, 128);
		this->axPBar_2->TabIndex = 73;
		// 
		// label_cs3
		// 
		this->label_cs3->AutoSize = true;
		this->label_cs3->Font = (gcnew System::Drawing::Font(L"sө", 14.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_cs3->Location = System::Drawing::Point(431, 31);
		this->label_cs3->Name = L"label_cs3";
		this->label_cs3->Size = System::Drawing::Size(43, 19);
		this->label_cs3->TabIndex = 71;
		this->label_cs3->Text = L"CS3";
		// 
		// axPBar_3
		// 
		this->axPBar_3->Location = System::Drawing::Point(444, 55);
		this->axPBar_3->Name = L"axPBar_3";
		this->axPBar_3->OcxState = (cli::safe_cast<System::Windows::Forms::AxHost::State^  >(resources->GetObject(L"axPBar_3.OcxState")));
		this->axPBar_3->Size = System::Drawing::Size(16, 128);
		this->axPBar_3->TabIndex = 64;
		// 
		// label_cs4
		// 
		this->label_cs4->AutoSize = true;
		this->label_cs4->Font = (gcnew System::Drawing::Font(L"sө", 14.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_cs4->Location = System::Drawing::Point(348, 31);
		this->label_cs4->Name = L"label_cs4";
		this->label_cs4->Size = System::Drawing::Size(43, 19);
		this->label_cs4->TabIndex = 62;
		this->label_cs4->Text = L"CS4";
		// 
		// axPBar_4
		// 
		this->axPBar_4->Location = System::Drawing::Point(361, 55);
		this->axPBar_4->Name = L"axPBar_4";
		this->axPBar_4->OcxState = (cli::safe_cast<System::Windows::Forms::AxHost::State^  >(resources->GetObject(L"axPBar_4.OcxState")));
		this->axPBar_4->Size = System::Drawing::Size(16, 128);
		this->axPBar_4->TabIndex = 55;
		// 
		// label_cs5
		// 
		this->label_cs5->AutoSize = true;
		this->label_cs5->Font = (gcnew System::Drawing::Font(L"sө", 14.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_cs5->Location = System::Drawing::Point(265, 31);
		this->label_cs5->Name = L"label_cs5";
		this->label_cs5->Size = System::Drawing::Size(43, 19);
		this->label_cs5->TabIndex = 53;
		this->label_cs5->Text = L"CS5";
		// 
		// axPBar_5
		// 
		this->axPBar_5->Location = System::Drawing::Point(278, 55);
		this->axPBar_5->Name = L"axPBar_5";
		this->axPBar_5->OcxState = (cli::safe_cast<System::Windows::Forms::AxHost::State^  >(resources->GetObject(L"axPBar_5.OcxState")));
		this->axPBar_5->Size = System::Drawing::Size(16, 128);
		this->axPBar_5->TabIndex = 46;
		// 
		// label_cs6
		// 
		this->label_cs6->AutoSize = true;
		this->label_cs6->Font = (gcnew System::Drawing::Font(L"sө", 14.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_cs6->Location = System::Drawing::Point(182, 31);
		this->label_cs6->Name = L"label_cs6";
		this->label_cs6->Size = System::Drawing::Size(43, 19);
		this->label_cs6->TabIndex = 44;
		this->label_cs6->Text = L"CS6";
		// 
		// axPBar_6
		// 
		this->axPBar_6->Location = System::Drawing::Point(195, 55);
		this->axPBar_6->Name = L"axPBar_6";
		this->axPBar_6->OcxState = (cli::safe_cast<System::Windows::Forms::AxHost::State^  >(resources->GetObject(L"axPBar_6.OcxState")));
		this->axPBar_6->Size = System::Drawing::Size(16, 128);
		this->axPBar_6->TabIndex = 37;
		// 
		// label_cs7
		// 
		this->label_cs7->AutoSize = true;
		this->label_cs7->Font = (gcnew System::Drawing::Font(L"sө", 14.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_cs7->Location = System::Drawing::Point(99, 31);
		this->label_cs7->Name = L"label_cs7";
		this->label_cs7->Size = System::Drawing::Size(43, 19);
		this->label_cs7->TabIndex = 35;
		this->label_cs7->Text = L"CS7";
		// 
		// axPBar_7
		// 
		this->axPBar_7->Location = System::Drawing::Point(112, 55);
		this->axPBar_7->Name = L"axPBar_7";
		this->axPBar_7->OcxState = (cli::safe_cast<System::Windows::Forms::AxHost::State^  >(resources->GetObject(L"axPBar_7.OcxState")));
		this->axPBar_7->Size = System::Drawing::Size(16, 128);
		this->axPBar_7->TabIndex = 28;
		// 
		// trackBar_cs7
		// 
		this->trackBar_cs7->Enabled = false;
		this->trackBar_cs7->Location = System::Drawing::Point(92, 49);
		this->trackBar_cs7->Maximum = 128;
		this->trackBar_cs7->Name = L"trackBar_cs7";
		this->trackBar_cs7->Orientation = System::Windows::Forms::Orientation::Vertical;
		this->trackBar_cs7->Size = System::Drawing::Size(45, 146);
		this->trackBar_cs7->TabIndex = 222;
		// 
		// trackBar_cs6
		// 
		this->trackBar_cs6->Enabled = false;
		this->trackBar_cs6->Location = System::Drawing::Point(173, 49);
		this->trackBar_cs6->Maximum = 128;
		this->trackBar_cs6->Name = L"trackBar_cs6";
		this->trackBar_cs6->Orientation = System::Windows::Forms::Orientation::Vertical;
		this->trackBar_cs6->Size = System::Drawing::Size(45, 146);
		this->trackBar_cs6->TabIndex = 223;
		// 
		// trackBar_cs5
		// 
		this->trackBar_cs5->Enabled = false;
		this->trackBar_cs5->Location = System::Drawing::Point(256, 49);
		this->trackBar_cs5->Maximum = 128;
		this->trackBar_cs5->Name = L"trackBar_cs5";
		this->trackBar_cs5->Orientation = System::Windows::Forms::Orientation::Vertical;
		this->trackBar_cs5->Size = System::Drawing::Size(45, 146);
		this->trackBar_cs5->TabIndex = 224;
		// 
		// trackBar_cs4
		// 
		this->trackBar_cs4->Enabled = false;
		this->trackBar_cs4->Location = System::Drawing::Point(339, 49);
		this->trackBar_cs4->Maximum = 128;
		this->trackBar_cs4->Name = L"trackBar_cs4";
		this->trackBar_cs4->Orientation = System::Windows::Forms::Orientation::Vertical;
		this->trackBar_cs4->Size = System::Drawing::Size(45, 146);
		this->trackBar_cs4->TabIndex = 225;
		// 
		// trackBar_cs3
		// 
		this->trackBar_cs3->Enabled = false;
		this->trackBar_cs3->Location = System::Drawing::Point(422, 49);
		this->trackBar_cs3->Maximum = 128;
		this->trackBar_cs3->Name = L"trackBar_cs3";
		this->trackBar_cs3->Orientation = System::Windows::Forms::Orientation::Vertical;
		this->trackBar_cs3->Size = System::Drawing::Size(45, 146);
		this->trackBar_cs3->TabIndex = 226;
		// 
		// trackBar_cs2
		// 
		this->trackBar_cs2->Enabled = false;
		this->trackBar_cs2->Location = System::Drawing::Point(505, 49);
		this->trackBar_cs2->Maximum = 128;
		this->trackBar_cs2->Name = L"trackBar_cs2";
		this->trackBar_cs2->Orientation = System::Windows::Forms::Orientation::Vertical;
		this->trackBar_cs2->Size = System::Drawing::Size(45, 146);
		this->trackBar_cs2->TabIndex = 227;
		// 
		// trackBar_cs1
		// 
		this->trackBar_cs1->Enabled = false;
		this->trackBar_cs1->Location = System::Drawing::Point(588, 49);
		this->trackBar_cs1->Maximum = 128;
		this->trackBar_cs1->Name = L"trackBar_cs1";
		this->trackBar_cs1->Orientation = System::Windows::Forms::Orientation::Vertical;
		this->trackBar_cs1->Size = System::Drawing::Size(45, 146);
		this->trackBar_cs1->TabIndex = 228;
		// 
		// trackBar_cs8
		// 
		this->trackBar_cs8->Enabled = false;
		this->trackBar_cs8->Location = System::Drawing::Point(91, 274);
		this->trackBar_cs8->Maximum = 128;
		this->trackBar_cs8->Name = L"trackBar_cs8";
		this->trackBar_cs8->Orientation = System::Windows::Forms::Orientation::Vertical;
		this->trackBar_cs8->Size = System::Drawing::Size(45, 146);
		this->trackBar_cs8->TabIndex = 229;
		// 
		// tabPage2
		// 
		this->tabPage2->BackColor = System::Drawing::SystemColors::Menu;
		this->tabPage2->Controls->Add(this->dataGridView1);
		this->tabPage2->Location = System::Drawing::Point(4, 22);
		this->tabPage2->Name = L"tabPage2";
		this->tabPage2->Padding = System::Windows::Forms::Padding(3);
		this->tabPage2->Size = System::Drawing::Size(731, 470);
		this->tabPage2->TabIndex = 1;
		this->tabPage2->Text = L"Reg Info.";
		this->tabPage2->UseVisualStyleBackColor = true;
		// 
		// dataGridView1
		// 
		this->dataGridView1->AllowUserToDeleteRows = false;
		this->dataGridView1->ColumnHeadersHeightSizeMode = System::Windows::Forms::DataGridViewColumnHeadersHeightSizeMode::AutoSize;
		this->dataGridView1->Columns->AddRange(gcnew cli::array< System::Windows::Forms::DataGridViewColumn^  >(16) {this->addr_00, 
			this->addr_01, this->addr_02, this->addr_03, this->addr_04, this->addr_05, this->addr_06, this->addr_07, this->addr_08, this->addr_09, 
			this->addr_0A, this->addr_0B, this->addr_0C, this->addr_0D, this->addr_0E, this->addr_0F});
		this->dataGridView1->Location = System::Drawing::Point(3, 3);
		this->dataGridView1->Name = L"dataGridView1";
		this->dataGridView1->RowTemplate->Height = 24;
		this->dataGridView1->Size = System::Drawing::Size(750, 572);
		this->dataGridView1->TabIndex = 0;
		this->dataGridView1->CellClick += gcnew System::Windows::Forms::DataGridViewCellEventHandler(this, &Form1::dataGridView1_CellClick);
		this->dataGridView1->CellContentClick += gcnew System::Windows::Forms::DataGridViewCellEventHandler(this, &Form1::dataGridView1_CellContentClick);
		// 
		// addr_00
		// 
		this->addr_00->HeaderText = L"00";
		this->addr_00->Name = L"addr_00";
		this->addr_00->Width = 30;
		// 
		// addr_01
		// 
		this->addr_01->HeaderText = L"01";
		this->addr_01->Name = L"addr_01";
		this->addr_01->Width = 30;
		// 
		// addr_02
		// 
		this->addr_02->HeaderText = L"02";
		this->addr_02->Name = L"addr_02";
		this->addr_02->Width = 30;
		// 
		// addr_03
		// 
		this->addr_03->HeaderText = L"03";
		this->addr_03->Name = L"addr_03";
		this->addr_03->Width = 30;
		// 
		// addr_04
		// 
		this->addr_04->HeaderText = L"04";
		this->addr_04->Name = L"addr_04";
		this->addr_04->Width = 30;
		// 
		// addr_05
		// 
		this->addr_05->HeaderText = L"05";
		this->addr_05->Name = L"addr_05";
		this->addr_05->Width = 30;
		// 
		// addr_06
		// 
		this->addr_06->HeaderText = L"06";
		this->addr_06->Name = L"addr_06";
		this->addr_06->Width = 30;
		// 
		// addr_07
		// 
		this->addr_07->HeaderText = L"07";
		this->addr_07->Name = L"addr_07";
		this->addr_07->Width = 30;
		// 
		// addr_08
		// 
		this->addr_08->HeaderText = L"08";
		this->addr_08->Name = L"addr_08";
		this->addr_08->Width = 30;
		// 
		// addr_09
		// 
		this->addr_09->HeaderText = L"09";
		this->addr_09->Name = L"addr_09";
		this->addr_09->Width = 30;
		// 
		// addr_0A
		// 
		this->addr_0A->HeaderText = L"0A";
		this->addr_0A->Name = L"addr_0A";
		this->addr_0A->Width = 30;
		// 
		// addr_0B
		// 
		this->addr_0B->HeaderText = L"0B";
		this->addr_0B->Name = L"addr_0B";
		this->addr_0B->Width = 30;
		// 
		// addr_0C
		// 
		this->addr_0C->HeaderText = L"0C";
		this->addr_0C->Name = L"addr_0C";
		this->addr_0C->Width = 30;
		// 
		// addr_0D
		// 
		this->addr_0D->HeaderText = L"0D";
		this->addr_0D->Name = L"addr_0D";
		this->addr_0D->Width = 30;
		// 
		// addr_0E
		// 
		this->addr_0E->HeaderText = L"0E";
		this->addr_0E->Name = L"addr_0E";
		this->addr_0E->Width = 30;
		// 
		// addr_0F
		// 
		this->addr_0F->HeaderText = L"0F";
		this->addr_0F->Name = L"addr_0F";
		this->addr_0F->Width = 30;
		// 
		// tabPage3
		// 
		this->tabPage3->BackColor = System::Drawing::SystemColors::Menu;
		this->tabPage3->Controls->Add(this->label10);
		this->tabPage3->Controls->Add(this->label7);
		this->tabPage3->Controls->Add(this->label17);
		this->tabPage3->Controls->Add(this->label18);
		this->tabPage3->Controls->Add(this->trackBar_PWM);
		this->tabPage3->Controls->Add(this->label_thermal);
		this->tabPage3->Location = System::Drawing::Point(4, 22);
		this->tabPage3->Name = L"tabPage3";
		this->tabPage3->Padding = System::Windows::Forms::Padding(3);
		this->tabPage3->Size = System::Drawing::Size(731, 470);
		this->tabPage3->TabIndex = 2;
		this->tabPage3->Text = L"Thermal";
		// 
		// label10
		// 
		this->label10->AutoSize = true;
		this->label10->Font = (gcnew System::Drawing::Font(L"sө", 14.25F, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label10->Location = System::Drawing::Point(72, 33);
		this->label10->Name = L"label10";
		this->label10->Size = System::Drawing::Size(317, 38);
		this->label10->TabIndex = 97;
		this->label10->Text = L"EMC1412\r\nTemperature Sensor (External Diode)";
		// 
		// label7
		// 
		this->label7->AutoSize = true;
		this->label7->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label7->ForeColor = System::Drawing::Color::OrangeRed;
		this->label7->Location = System::Drawing::Point(393, 412);
		this->label7->Name = L"label7";
		this->label7->Size = System::Drawing::Size(318, 32);
		this->label7->TabIndex = 6;
		this->label7->Text = L"CAUTION: \r\nHigh temperature will around the Hot area.";
		// 
		// label17
		// 
		this->label17->AutoSize = true;
		this->label17->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label17->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label17->Location = System::Drawing::Point(440, 259);
		this->label17->Name = L"label17";
		this->label17->Size = System::Drawing::Size(111, 16);
		this->label17->TabIndex = 5;
		this->label17->Text = L"PWM Duty 50%";
		// 
		// label18
		// 
		this->label18->AutoSize = true;
		this->label18->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Regular, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label18->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->label18->Location = System::Drawing::Point(164, 259);
		this->label18->Name = L"label18";
		this->label18->Size = System::Drawing::Size(111, 16);
		this->label18->TabIndex = 4;
		this->label18->Text = L"PWM Duty =0%";
		// 
		// trackBar_PWM
		// 
		this->trackBar_PWM->Location = System::Drawing::Point(203, 211);
		this->trackBar_PWM->Maximum = 100;
		this->trackBar_PWM->Name = L"trackBar_PWM";
		this->trackBar_PWM->Size = System::Drawing::Size(294, 45);
		this->trackBar_PWM->TabIndex = 1;
		this->trackBar_PWM->ValueChanged += gcnew System::EventHandler(this, &Form1::trackBar_PWM_ValueChanged);
		// 
		// label_thermal
		// 
		this->label_thermal->AutoSize = true;
		this->label_thermal->Font = (gcnew System::Drawing::Font(L"sө", 36, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_thermal->ForeColor = System::Drawing::Color::MediumAquamarine;
		this->label_thermal->Location = System::Drawing::Point(286, 108);
		this->label_thermal->Name = L"label_thermal";
		this->label_thermal->Size = System::Drawing::Size(138, 48);
		this->label_thermal->TabIndex = 0;
		this->label_thermal->Text = L"label7";
		// 
		// groupBox2
		// 
		this->groupBox2->Controls->Add(this->label16);
		this->groupBox2->Controls->Add(this->label9);
		this->groupBox2->Controls->Add(this->label8);
		this->groupBox2->Controls->Add(this->UD_Data6);
		this->groupBox2->Controls->Add(this->numericUpDown1);
		this->groupBox2->Controls->Add(this->UD_Data7);
		this->groupBox2->Controls->Add(this->button2);
		this->groupBox2->Controls->Add(this->D2H_lab1);
		this->groupBox2->Controls->Add(this->UD_Data5);
		this->groupBox2->Controls->Add(this->button1);
		this->groupBox2->Controls->Add(this->UD_Data8);
		this->groupBox2->Controls->Add(this->numericUpDown2);
		this->groupBox2->Controls->Add(this->UD_Data2);
		this->groupBox2->Controls->Add(this->UD_Data4);
		this->groupBox2->Controls->Add(this->UD_Data1);
		this->groupBox2->Controls->Add(this->UD_Data3);
		this->groupBox2->Location = System::Drawing::Point(746, 120);
		this->groupBox2->Name = L"groupBox2";
		this->groupBox2->Size = System::Drawing::Size(193, 347);
		this->groupBox2->TabIndex = 88;
		this->groupBox2->TabStop = false;
		this->groupBox2->Text = L"Write CAP1x14";
		// 
		// label16
		// 
		this->label16->AutoSize = true;
		this->label16->Font = (gcnew System::Drawing::Font(L"sө", 10));
		this->label16->Location = System::Drawing::Point(6, 108);
		this->label16->Name = L"label16";
		this->label16->Size = System::Drawing::Size(46, 14);
		this->label16->TabIndex = 88;
		this->label16->Text = L"Length";
		// 
		// label9
		// 
		this->label9->AutoSize = true;
		this->label9->Font = (gcnew System::Drawing::Font(L"sө", 10));
		this->label9->Location = System::Drawing::Point(108, 35);
		this->label9->Name = L"label9";
		this->label9->Size = System::Drawing::Size(32, 14);
		this->label9->TabIndex = 87;
		this->label9->Text = L"Data";
		// 
		// label8
		// 
		this->label8->AutoSize = true;
		this->label8->Font = (gcnew System::Drawing::Font(L"sө", 10));
		this->label8->Location = System::Drawing::Point(6, 39);
		this->label8->Name = L"label8";
		this->label8->Size = System::Drawing::Size(79, 14);
		this->label8->TabIndex = 86;
		this->label8->Text = L"Start Address";
		// 
		// UD_Data6
		// 
		this->UD_Data6->Enabled = false;
		this->UD_Data6->Hexadecimal = true;
		this->UD_Data6->Location = System::Drawing::Point(101, 208);
		this->UD_Data6->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->UD_Data6->Name = L"UD_Data6";
		this->UD_Data6->Size = System::Drawing::Size(67, 22);
		this->UD_Data6->TabIndex = 73;
		// 
		// numericUpDown1
		// 
		this->numericUpDown1->Hexadecimal = true;
		this->numericUpDown1->Location = System::Drawing::Point(9, 65);
		this->numericUpDown1->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->numericUpDown1->Name = L"numericUpDown1";
		this->numericUpDown1->Size = System::Drawing::Size(76, 22);
		this->numericUpDown1->TabIndex = 59;
		this->numericUpDown1->Value = System::Decimal(gcnew cli::array< System::Int32 >(4) {48, 0, 0, 0});
		// 
		// UD_Data7
		// 
		this->UD_Data7->Enabled = false;
		this->UD_Data7->Hexadecimal = true;
		this->UD_Data7->Location = System::Drawing::Point(101, 236);
		this->UD_Data7->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->UD_Data7->Name = L"UD_Data7";
		this->UD_Data7->Size = System::Drawing::Size(67, 22);
		this->UD_Data7->TabIndex = 71;
		// 
		// button2
		// 
		this->button2->Location = System::Drawing::Point(101, 301);
		this->button2->Name = L"button2";
		this->button2->Size = System::Drawing::Size(67, 40);
		this->button2->TabIndex = 85;
		this->button2->Text = L"Write to Cap1x14";
		this->button2->UseVisualStyleBackColor = true;
		this->button2->Click += gcnew System::EventHandler(this, &Form1::button2_Click);
		// 
		// D2H_lab1
		// 
		this->D2H_lab1->AutoSize = true;
		this->D2H_lab1->Font = (gcnew System::Drawing::Font(L"sө", 10));
		this->D2H_lab1->ForeColor = System::Drawing::Color::DeepPink;
		this->D2H_lab1->Location = System::Drawing::Point(22, 199);
		this->D2H_lab1->Name = L"D2H_lab1";
		this->D2H_lab1->Size = System::Drawing::Size(40, 14);
		this->D2H_lab1->TabIndex = 60;
		this->D2H_lab1->Text = L"[Hex.]";
		// 
		// UD_Data5
		// 
		this->UD_Data5->Enabled = false;
		this->UD_Data5->Hexadecimal = true;
		this->UD_Data5->Location = System::Drawing::Point(101, 180);
		this->UD_Data5->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->UD_Data5->Name = L"UD_Data5";
		this->UD_Data5->Size = System::Drawing::Size(67, 22);
		this->UD_Data5->TabIndex = 75;
		// 
		// button1
		// 
		this->button1->Location = System::Drawing::Point(19, 216);
		this->button1->Name = L"button1";
		this->button1->Size = System::Drawing::Size(52, 42);
		this->button1->TabIndex = 61;
		this->button1->Text = L"Change Format";
		this->button1->UseVisualStyleBackColor = true;
		this->button1->Click += gcnew System::EventHandler(this, &Form1::button1_Click);
		// 
		// UD_Data8
		// 
		this->UD_Data8->Enabled = false;
		this->UD_Data8->Hexadecimal = true;
		this->UD_Data8->Location = System::Drawing::Point(101, 264);
		this->UD_Data8->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->UD_Data8->Name = L"UD_Data8";
		this->UD_Data8->Size = System::Drawing::Size(67, 22);
		this->UD_Data8->TabIndex = 69;
		// 
		// numericUpDown2
		// 
		this->numericUpDown2->Hexadecimal = true;
		this->numericUpDown2->Location = System::Drawing::Point(9, 137);
		this->numericUpDown2->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {8, 0, 0, 0});
		this->numericUpDown2->Minimum = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
		this->numericUpDown2->Name = L"numericUpDown2";
		this->numericUpDown2->Size = System::Drawing::Size(62, 22);
		this->numericUpDown2->TabIndex = 62;
		this->numericUpDown2->Value = System::Decimal(gcnew cli::array< System::Int32 >(4) {1, 0, 0, 0});
		this->numericUpDown2->ValueChanged += gcnew System::EventHandler(this, &Form1::numericUpDown2_ValueChanged);
		// 
		// UD_Data2
		// 
		this->UD_Data2->Enabled = false;
		this->UD_Data2->Hexadecimal = true;
		this->UD_Data2->Location = System::Drawing::Point(101, 96);
		this->UD_Data2->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->UD_Data2->Name = L"UD_Data2";
		this->UD_Data2->Size = System::Drawing::Size(67, 22);
		this->UD_Data2->TabIndex = 63;
		// 
		// UD_Data4
		// 
		this->UD_Data4->Enabled = false;
		this->UD_Data4->Hexadecimal = true;
		this->UD_Data4->Location = System::Drawing::Point(101, 152);
		this->UD_Data4->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->UD_Data4->Name = L"UD_Data4";
		this->UD_Data4->Size = System::Drawing::Size(67, 22);
		this->UD_Data4->TabIndex = 67;
		// 
		// UD_Data1
		// 
		this->UD_Data1->Hexadecimal = true;
		this->UD_Data1->Location = System::Drawing::Point(101, 68);
		this->UD_Data1->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->UD_Data1->Name = L"UD_Data1";
		this->UD_Data1->Size = System::Drawing::Size(67, 22);
		this->UD_Data1->TabIndex = 64;
		// 
		// UD_Data3
		// 
		this->UD_Data3->Enabled = false;
		this->UD_Data3->Hexadecimal = true;
		this->UD_Data3->Location = System::Drawing::Point(101, 124);
		this->UD_Data3->Maximum = System::Decimal(gcnew cli::array< System::Int32 >(4) {255, 0, 0, 0});
		this->UD_Data3->Name = L"UD_Data3";
		this->UD_Data3->Size = System::Drawing::Size(67, 22);
		this->UD_Data3->TabIndex = 65;
		// 
		// groupBox1
		// 
		this->groupBox1->Controls->Add(this->lblDeviceState);
		this->groupBox1->Font = (gcnew System::Drawing::Font(L"sө", 10));
		this->groupBox1->ForeColor = System::Drawing::SystemColors::Highlight;
		this->groupBox1->Location = System::Drawing::Point(746, 23);
		this->groupBox1->Name = L"groupBox1";
		this->groupBox1->Size = System::Drawing::Size(193, 82);
		this->groupBox1->TabIndex = 29;
		this->groupBox1->TabStop = false;
		this->groupBox1->Text = L" Device State ";
		// 
		// lblDeviceState
		// 
		this->lblDeviceState->AutoSize = true;
		this->lblDeviceState->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->lblDeviceState->ForeColor = System::Drawing::SystemColors::HotTrack;
		this->lblDeviceState->Location = System::Drawing::Point(44, 33);
		this->lblDeviceState->Name = L"lblDeviceState";
		this->lblDeviceState->Size = System::Drawing::Size(105, 16);
		this->lblDeviceState->TabIndex = 0;
		this->lblDeviceState->Text = L"Disconnected";
		// 
		// label_Reg_addr
		// 
		this->label_Reg_addr->AutoSize = true;
		this->label_Reg_addr->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Reg_addr->ForeColor = System::Drawing::Color::ForestGreen;
		this->label_Reg_addr->Location = System::Drawing::Point(36, 522);
		this->label_Reg_addr->Name = L"label_Reg_addr";
		this->label_Reg_addr->Size = System::Drawing::Size(113, 16);
		this->label_Reg_addr->TabIndex = 30;
		this->label_Reg_addr->Text = L"Register: 0x00";
		// 
		// label_Reg_context
		// 
		this->label_Reg_context->AutoSize = true;
		this->label_Reg_context->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Reg_context->ForeColor = System::Drawing::Color::ForestGreen;
		this->label_Reg_context->Location = System::Drawing::Point(36, 557);
		this->label_Reg_context->Name = L"label_Reg_context";
		this->label_Reg_context->Size = System::Drawing::Size(26, 16);
		this->label_Reg_context->TabIndex = 31;
		this->label_Reg_context->Text = L"__";
		// 
		// btn_reset_Cap1x14
		// 
		this->btn_reset_Cap1x14->Location = System::Drawing::Point(14, 15);
		this->btn_reset_Cap1x14->Name = L"btn_reset_Cap1x14";
		this->btn_reset_Cap1x14->Size = System::Drawing::Size(71, 58);
		this->btn_reset_Cap1x14->TabIndex = 89;
		this->btn_reset_Cap1x14->Text = L"Reset CAP1x14";
		this->btn_reset_Cap1x14->UseVisualStyleBackColor = true;
		this->btn_reset_Cap1x14->Click += gcnew System::EventHandler(this, &Form1::btn_reset_Cap1x14_Click);
		// 
		// label_RW
		// 
		this->label_RW->AutoSize = true;
		this->label_RW->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_RW->ForeColor = System::Drawing::Color::ForestGreen;
		this->label_RW->Location = System::Drawing::Point(335, 522);
		this->label_RW->Name = L"label_RW";
		this->label_RW->Size = System::Drawing::Size(26, 16);
		this->label_RW->TabIndex = 90;
		this->label_RW->Text = L"__";
		// 
		// label_Def_Value
		// 
		this->label_Def_Value->AutoSize = true;
		this->label_Def_Value->Font = (gcnew System::Drawing::Font(L"sө", 12, System::Drawing::FontStyle::Bold, System::Drawing::GraphicsUnit::Point, 
			static_cast<System::Byte>(136)));
		this->label_Def_Value->ForeColor = System::Drawing::Color::ForestGreen;
		this->label_Def_Value->Location = System::Drawing::Point(169, 522);
		this->label_Def_Value->Name = L"label_Def_Value";
		this->label_Def_Value->Size = System::Drawing::Size(86, 16);
		this->label_Def_Value->TabIndex = 91;
		this->label_Def_Value->Text = L"Def. Value";
		// 
		// groupBox3
		// 
		this->groupBox3->BackColor = System::Drawing::SystemColors::Menu;
		this->groupBox3->Controls->Add(this->button_clear_int);
		this->groupBox3->Controls->Add(this->Reset_MCU);
		this->groupBox3->Controls->Add(this->btn_reset_Cap1x14);
		this->groupBox3->Location = System::Drawing::Point(670, 503);
		this->groupBox3->Name = L"groupBox3";
		this->groupBox3->Size = System::Drawing::Size(269, 88);
		this->groupBox3->TabIndex = 92;
		this->groupBox3->TabStop = false;
		this->groupBox3->Text = L"Config.";
		// 
		// button_clear_int
		// 
		this->button_clear_int->ForeColor = System::Drawing::Color::Black;
		this->button_clear_int->Location = System::Drawing::Point(188, 15);
		this->button_clear_int->Name = L"button_clear_int";
		this->button_clear_int->Size = System::Drawing::Size(67, 58);
		this->button_clear_int->TabIndex = 91;
		this->button_clear_int->Text = L"Clear CAP1x14 INT";
		this->button_clear_int->UseVisualStyleBackColor = true;
		this->button_clear_int->Click += gcnew System::EventHandler(this, &Form1::button_clear_int_Click);
		// 
		// Reset_MCU
		// 
		this->Reset_MCU->Location = System::Drawing::Point(96, 15);
		this->Reset_MCU->Name = L"Reset_MCU";
		this->Reset_MCU->Size = System::Drawing::Size(82, 58);
		this->Reset_MCU->TabIndex = 90;
		this->Reset_MCU->Text = L"Reset\r\nPIC16F1455";
		this->Reset_MCU->UseVisualStyleBackColor = true;
		this->Reset_MCU->Click += gcnew System::EventHandler(this, &Form1::Reset_MCU_Click);
		// 
		// label_RandC_backup_06h
		// 
		this->label_RandC_backup_06h->AutoSize = true;
		this->label_RandC_backup_06h->Location = System::Drawing::Point(16, 54);
		this->label_RandC_backup_06h->Name = L"label_RandC_backup_06h";
		this->label_RandC_backup_06h->Size = System::Drawing::Size(39, 12);
		this->label_RandC_backup_06h->TabIndex = 93;
		this->label_RandC_backup_06h->Text = L"label33";
		// 
		// label_RandC_backup_0Eh
		// 
		this->label_RandC_backup_0Eh->AutoSize = true;
		this->label_RandC_backup_0Eh->Location = System::Drawing::Point(71, 54);
		this->label_RandC_backup_0Eh->Name = L"label_RandC_backup_0Eh";
		this->label_RandC_backup_0Eh->Size = System::Drawing::Size(39, 12);
		this->label_RandC_backup_0Eh->TabIndex = 94;
		this->label_RandC_backup_0Eh->Text = L"label34";
		// 
		// label_RandC_backup_0Fh
		// 
		this->label_RandC_backup_0Fh->AutoSize = true;
		this->label_RandC_backup_0Fh->Location = System::Drawing::Point(129, 54);
		this->label_RandC_backup_0Fh->Name = L"label_RandC_backup_0Fh";
		this->label_RandC_backup_0Fh->Size = System::Drawing::Size(39, 12);
		this->label_RandC_backup_0Fh->TabIndex = 95;
		this->label_RandC_backup_0Fh->Text = L"label35";
		// 
		// groupBox4
		// 
		this->groupBox4->Controls->Add(this->label33);
		this->groupBox4->Controls->Add(this->label34);
		this->groupBox4->Controls->Add(this->label35);
		this->groupBox4->Controls->Add(this->label_RandC_backup_06h);
		this->groupBox4->Controls->Add(this->label_RandC_backup_0Fh);
		this->groupBox4->Controls->Add(this->label_RandC_backup_0Eh);
		this->groupBox4->Location = System::Drawing::Point(463, 503);
		this->groupBox4->Name = L"groupBox4";
		this->groupBox4->Size = System::Drawing::Size(184, 88);
		this->groupBox4->TabIndex = 96;
		this->groupBox4->TabStop = false;
		this->groupBox4->Text = L"R-C Reg. back-up";
		// 
		// label33
		// 
		this->label33->AutoSize = true;
		this->label33->Location = System::Drawing::Point(16, 23);
		this->label33->Name = L"label33";
		this->label33->Size = System::Drawing::Size(23, 12);
		this->label33->TabIndex = 96;
		this->label33->Text = L"06h";
		// 
		// label34
		// 
		this->label34->AutoSize = true;
		this->label34->Location = System::Drawing::Point(129, 23);
		this->label34->Name = L"label34";
		this->label34->Size = System::Drawing::Size(21, 12);
		this->label34->TabIndex = 98;
		this->label34->Text = L"0fh";
		// 
		// label35
		// 
		this->label35->AutoSize = true;
		this->label35->Location = System::Drawing::Point(71, 23);
		this->label35->Name = L"label35";
		this->label35->Size = System::Drawing::Size(22, 12);
		this->label35->TabIndex = 97;
		this->label35->Text = L"0eh";
		// 
		// Form1
		// 
		this->AutoScaleDimensions = System::Drawing::SizeF(6, 12);
		this->AutoScaleMode = System::Windows::Forms::AutoScaleMode::Font;
		this->ClientSize = System::Drawing::Size(978, 603);
		this->Controls->Add(this->groupBox4);
		this->Controls->Add(this->groupBox3);
		this->Controls->Add(this->label_Def_Value);
		this->Controls->Add(this->label_RW);
		this->Controls->Add(this->groupBox2);
		this->Controls->Add(this->label_Reg_context);
		this->Controls->Add(this->label_Reg_addr);
		this->Controls->Add(this->groupBox1);
		this->Controls->Add(this->tabControl1);
		this->Icon = (cli::safe_cast<System::Drawing::Icon^  >(resources->GetObject(L"$this.Icon")));
		this->Name = L"Form1";
		this->Text = L"APP-ESS13-2 Evaluation Board";
		this->Load += gcnew System::EventHandler(this, &Form1::Form1_Load);
		this->tabControl1->ResumeLayout(false);
		this->tabPage1->ResumeLayout(false);
		this->tabPage1->PerformLayout();
		this->groupBox5->ResumeLayout(false);
		this->groupBox5->PerformLayout();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_8))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_1))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_2))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_3))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_4))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_5))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_6))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->axPBar_7))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs7))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs6))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs5))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs4))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs3))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs2))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs1))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_cs8))->EndInit();
		this->tabPage2->ResumeLayout(false);
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->dataGridView1))->EndInit();
		this->tabPage3->ResumeLayout(false);
		this->tabPage3->PerformLayout();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->trackBar_PWM))->EndInit();
		this->groupBox2->ResumeLayout(false);
		this->groupBox2->PerformLayout();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data6))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDown1))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data7))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data5))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data8))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->numericUpDown2))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data2))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data4))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data1))->EndInit();
		(cli::safe_cast<System::ComponentModel::ISupportInitialize^  >(this->UD_Data3))->EndInit();
		this->groupBox1->ResumeLayout(false);
		this->groupBox1->PerformLayout();
		this->groupBox3->ResumeLayout(false);
		this->groupBox4->ResumeLayout(false);
		this->groupBox4->PerformLayout();
		this->ResumeLayout(false);
		this->PerformLayout();

	}
#pragma endregion


    //addr		data
    //0x00:     [command]
    //          0x14 : read Cap1x14 reg.
    //          0x15 : reset cap1x14
    //          0x16 : reset PIC16F1455
    //          0x17 :modify PWM duty
                	
    //0x01:		[device addr]  	0x50	
    //0x02:		[r/w]			w:0	r:1
    //0x03:		[Reg start addr]	0x00~0xff
    //0x04:		[length]			0x00~0xff           	
    //0x05~0x0f 	un-define            	
    //0x10~0x2f 	Cap1x14 data             	
    //0x30: 		back-up R-C Reg 06h. (read & clear register) SlideR Position /VolumetriC Data
    //0x31  		back-up R-C Reg 0eh. (read & clear register) GPIO Status
    //0x32  		back-up R-C Reg 0fh. (read & clear register) Group Status
    //0x33 		Address for EMC1412
    //0x34 		Product ID fro EMC1412
    //0x35 		External Diode Data Hi Byte
    //0x36 		External Diode Data Low Byte
    //0x37 		PWM Duty (RC3)
    //0x38~0x3f 	un-define


private:
    System::Void timer1_Tick(System::Object ^  sender, System::EventArgs ^  e) {
        // OS Inquiry to see if the device is connected
        unsigned char InputPacketBuffer[64];	//Allocate a memory buffer equal to our report size
        unsigned char i, reg_start_addr, reg_length, j, threshold;
        int delta, base;
        float thermal;


        //if (MCHPHIDClass::USBHIDIsConnected () == true)
        //{
        // lblDeviceState->Text = "Connected";
        //}
        //else
        //{
        // lblDeviceState->Text = "Disconnected";
        //}

        //////////////////////////////////////
        //////////////////////////////////////

        if(MCHPHIDClass::USBHIDReadReport(InputPacketBuffer)) {
            lblDeviceState->Text = "APP-ESS13-2" + "\r\n" + "  Connected";
            lblDeviceState->ForeColor = System::Drawing::SystemColors::HotTrack;
            if(InputPacketBuffer[0] = 0x14) {
                InputPacketBuffer[0] = 0x00;
                reg_start_addr = InputPacketBuffer[3];
                reg_length = InputPacketBuffer[4];
                for(i = 0; i < reg_length; i++) {
                    Cap1x14_reg[reg_start_addr + i] = InputPacketBuffer[0x10 + i];
                }
                if(numericUpDown1->Hexadecimal == true) {
                    label_RandC_backup_06h->Text = String::Format("{0:X2}", (signed char)InputPacketBuffer[0x30]);
                    label_RandC_backup_0Eh->Text = String::Format("{0:X2}", (signed char)InputPacketBuffer[0x31]);
                    label_RandC_backup_0Fh->Text = String::Format("{0:X2}", (signed char)InputPacketBuffer[0x32]);
                }
                else {
                    label_RandC_backup_06h->Text = String::Format("{0:D}", (signed char)InputPacketBuffer[0x30]);
                    label_RandC_backup_0Eh->Text = String::Format("{0:D}", (signed char)InputPacketBuffer[0x31]);
                    label_RandC_backup_0Fh->Text = String::Format("{0:D}", (signed char)InputPacketBuffer[0x32]);
                }

                //cal. thermal
                thermal = ((float)InputPacketBuffer[0x35] + (float)InputPacketBuffer[0x36] / 256);
                label_thermal->Text = String::Format("{0:F3}", thermal) + " J";

                //
                //if(Cap1x14_reg[0x20] & 0x40){
                //radioButton_Pos->Checked=false;
                //radioButton_Vol->Checked=true;
                //}
                //else{
                //radioButton_Pos->Checked=true;
                //radioButton_Vol->Checked=false;
                //}


                //update gruop data
                if(radioButton_Pos->Checked == true && (signed char)InputPacketBuffer[0x30] >= 0) {
                    pBar_Group->Value = (signed char)InputPacketBuffer[0x30];
                    label_Pos_Vol->Text = String::Format("{0:D}", (signed char)InputPacketBuffer[0x30]);
                }

                if(radioButton_Vol->Checked == true && (signed char)InputPacketBuffer[0x30] >= 0) {
                    pBar_Group->Value = (signed char)InputPacketBuffer[0x30];
                    label_Pos_Vol->Text = String::Format("{0:D}", (signed char)InputPacketBuffer[0x30]);
                }
                update_dataGripView1();
                delta = (signed char)Cap1x14_reg[0x10];
                base = (signed char)Cap1x14_reg[0x50];
                //label_Base_1->Text=String::Format("{0:X2}", base);
                //threshold=(signed char)Cap1x14_reg[0x30];

                //delta=(signed char)Cap1x14_reg[0x10];
                label_Delta_1->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x10]);
                label_Delta_2->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x11]);
                label_Delta_3->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x12]);
                label_Delta_4->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x13]);
                label_Delta_5->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x14]);
                label_Delta_6->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x15]);
                label_Delta_7->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x16]);
                label_Delta_8->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x17]);


                //if delta is negative, shoow 0 in axPBar.
                axPBar_1->Value = ((signed char)Cap1x14_reg[0x10] < 0 ? 0 : (signed char)Cap1x14_reg[0x10]);
                axPBar_2->Value = ((signed char)Cap1x14_reg[0x11] < 0 ? 0 : (signed char)Cap1x14_reg[0x11]);
                axPBar_3->Value = ((signed char)Cap1x14_reg[0x12] < 0 ? 0 : (signed char)Cap1x14_reg[0x12]);
                axPBar_4->Value = ((signed char)Cap1x14_reg[0x13] < 0 ? 0 : (signed char)Cap1x14_reg[0x13]);
                axPBar_5->Value = ((signed char)Cap1x14_reg[0x14] < 0 ? 0 : (signed char)Cap1x14_reg[0x14]);
                axPBar_6->Value = ((signed char)Cap1x14_reg[0x15] < 0 ? 0 : (signed char)Cap1x14_reg[0x15]);
                axPBar_7->Value = ((signed char)Cap1x14_reg[0x16] < 0 ? 0 : (signed char)Cap1x14_reg[0x16]);
                axPBar_8->Value = ((signed char)Cap1x14_reg[0x17] < 0 ? 0 : (signed char)Cap1x14_reg[0x17]);

				trackBar_cs1->Value = ((signed char)Cap1x14_reg[0x30] < 0 ? 0 : (signed char)Cap1x14_reg[0x30]);
				trackBar_cs2->Value = ((signed char)Cap1x14_reg[0x31] < 0 ? 0 : (signed char)Cap1x14_reg[0x31]);
				trackBar_cs3->Value = ((signed char)Cap1x14_reg[0x32] < 0 ? 0 : (signed char)Cap1x14_reg[0x32]);
				trackBar_cs4->Value = ((signed char)Cap1x14_reg[0x33] < 0 ? 0 : (signed char)Cap1x14_reg[0x33]);
				trackBar_cs5->Value = ((signed char)Cap1x14_reg[0x34] < 0 ? 0 : (signed char)Cap1x14_reg[0x34]);
				trackBar_cs6->Value = ((signed char)Cap1x14_reg[0x35] < 0 ? 0 : (signed char)Cap1x14_reg[0x35]);
				trackBar_cs7->Value = ((signed char)Cap1x14_reg[0x36] < 0 ? 0 : (signed char)Cap1x14_reg[0x36]);
				trackBar_cs8->Value = ((signed char)Cap1x14_reg[0x37] < 0 ? 0 : (signed char)Cap1x14_reg[0x37]);


				

                //label_cs
                label_cs1->ForeColor = ((Cap1x14_reg[0x03] & 0x01) == 0x01 ? System::Drawing::Color::Red : System::Drawing::Color::Black);
                label_cs2->ForeColor = ((Cap1x14_reg[0x03] & 0x02) == 0x02 ? System::Drawing::Color::Red : System::Drawing::Color::Black);
                label_cs3->ForeColor = ((Cap1x14_reg[0x03] & 0x04) == 0x04 ? System::Drawing::Color::Red : System::Drawing::Color::Black);
                label_cs4->ForeColor = ((Cap1x14_reg[0x03] & 0x08) == 0x08 ? System::Drawing::Color::Red : System::Drawing::Color::Black);
                label_cs5->ForeColor = ((Cap1x14_reg[0x03] & 0x10) == 0x10 ? System::Drawing::Color::Red : System::Drawing::Color::Black);
                label_cs6->ForeColor = ((Cap1x14_reg[0x03] & 0x20) == 0x20 ? System::Drawing::Color::Red : System::Drawing::Color::Black);
                label_cs7->ForeColor = ((Cap1x14_reg[0x04] & 0x01) == 0x01 ? System::Drawing::Color::Red : System::Drawing::Color::Black);

				//show thresgold val.
				if(numericUpDown1->Hexadecimal == true) {
					label_thr_cs1->Text = String::Format("{0:X}", (signed char)Cap1x14_reg[0x30]);
					label_thr_cs2->Text = String::Format("{0:X}", (signed char)Cap1x14_reg[0x31]);
					label_thr_cs3->Text = String::Format("{0:X}", (signed char)Cap1x14_reg[0x32]);
					label_thr_cs4->Text = String::Format("{0:X}", (signed char)Cap1x14_reg[0x33]);
					label_thr_cs5->Text = String::Format("{0:X}", (signed char)Cap1x14_reg[0x34]);
					label_thr_cs6->Text = String::Format("{0:X}", (signed char)Cap1x14_reg[0x35]);
					label_thr_cs7->Text = String::Format("{0:X}", (signed char)Cap1x14_reg[0x36]);
					label_thr_cs8->Text = String::Format("{0:X}", (signed char)Cap1x14_reg[0x37]);
				}
				else{
					label_thr_cs1->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x30]);
					label_thr_cs2->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x31]);
					label_thr_cs3->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x32]);
					label_thr_cs4->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x33]);
					label_thr_cs5->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x34]);
					label_thr_cs6->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x35]);
					label_thr_cs7->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x36]);
					label_thr_cs8->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x37]);
				}

            }


        }
        else {
            lblDeviceState->ForeColor = System::Drawing::Color::Red;
            lblDeviceState->Text = "APP-ESS13-2" + "\r\n" + "Disconnected";
            for(i = 0; i < 14; i++) {
                Cap1x14_reg[0x10 + i] = 0;
            }
            for(i = 0; i < 8; i++) {
                Cap1x14_reg[0x30 + i] = 0;
            }
            trackBar_PWM->Value = 0;
            label_thermal->Text = String::Format("--.--- J");

            //delta=(signed char)Cap1x14_reg[0x10];
            label_Delta_1->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x10]);
            label_Delta_2->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x11]);
            label_Delta_3->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x12]);
            label_Delta_4->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x13]);
            label_Delta_5->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x14]);
            label_Delta_6->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x15]);
            label_Delta_7->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x16]);
            label_Delta_8->Text = String::Format("{0:D}", (signed char)Cap1x14_reg[0x17]);


            //if delta is negative, shoow 0 in axPBar.
            axPBar_1->Value = ((signed char)Cap1x14_reg[0x10] < 0 ? 0 : (signed char)Cap1x14_reg[0x10]);
            axPBar_2->Value = ((signed char)Cap1x14_reg[0x11] < 0 ? 0 : (signed char)Cap1x14_reg[0x11]);
            axPBar_3->Value = ((signed char)Cap1x14_reg[0x12] < 0 ? 0 : (signed char)Cap1x14_reg[0x12]);
            axPBar_4->Value = ((signed char)Cap1x14_reg[0x13] < 0 ? 0 : (signed char)Cap1x14_reg[0x13]);
            axPBar_5->Value = ((signed char)Cap1x14_reg[0x14] < 0 ? 0 : (signed char)Cap1x14_reg[0x14]);
            axPBar_6->Value = ((signed char)Cap1x14_reg[0x15] < 0 ? 0 : (signed char)Cap1x14_reg[0x15]);
            axPBar_7->Value = ((signed char)Cap1x14_reg[0x16] < 0 ? 0 : (signed char)Cap1x14_reg[0x16]);
            axPBar_8->Value = ((signed char)Cap1x14_reg[0x17] < 0 ? 0 : (signed char)Cap1x14_reg[0x17]);


			label_thr_cs1->Text = String::Format("{0:D}",0);
			label_thr_cs2->Text = String::Format("{0:D}",0);
			label_thr_cs3->Text = String::Format("{0:D}",0);
			label_thr_cs4->Text = String::Format("{0:D}",0);
			label_thr_cs5->Text = String::Format("{0:D}",0);
			label_thr_cs6->Text = String::Format("{0:D}",0);
			label_thr_cs7->Text = String::Format("{0:D}",0);
			label_thr_cs8->Text = String::Format("{0:D}",0);





        }



    }
private:
    System::Void D2H_lab1_Click(System::Object ^  sender, System::EventArgs ^  e) {
    }


private:
    System::Void button1_Click(System::Object ^  sender, System::EventArgs ^  e) {
        if(numericUpDown1->Hexadecimal == true) {
            D2H_lab1->Text = "[Dec.]";
            numericUpDown1->Hexadecimal = false;
            numericUpDown2->Hexadecimal = false;
            UD_Data1->Hexadecimal = false;
            UD_Data2->Hexadecimal = false;
            UD_Data3->Hexadecimal = false;
            UD_Data4->Hexadecimal = false;
            UD_Data5->Hexadecimal = false;
            UD_Data6->Hexadecimal = false;
            UD_Data7->Hexadecimal = false;
            UD_Data8->Hexadecimal = false;

        }
        else {
            D2H_lab1->Text = "[Hex.]";
            numericUpDown1->Hexadecimal = true;
            numericUpDown2->Hexadecimal = true;
            UD_Data1->Hexadecimal = true;
            UD_Data2->Hexadecimal = true;
            UD_Data3->Hexadecimal = true;
            UD_Data4->Hexadecimal = true;
            UD_Data5->Hexadecimal = true;
            UD_Data6->Hexadecimal = true;
            UD_Data7->Hexadecimal = true;
            UD_Data8->Hexadecimal = true;

        }
    }


private:
    void update_dataGripView1(void) {
        int i, j, index;
        index = 0;
        for(i = 0; i < 16; i++) {
            for(j = 0; j < 16; j++) {
                if(numericUpDown1->Hexadecimal == true)
                    dataGridView1->Rows[i]->Cells[j]->Value = String::Format("{0:X2}", Cap1x14_reg[index]);
                else
                    dataGridView1->Rows[i]->Cells[j]->Value = String::Format("{0:D}", Cap1x14_reg[index]);
                index++;
            }
        }

    }
private:
    void Show_Reg_Info(unsigned char i) {
        numericUpDown1->Value = i;
        UD_Data1->Value = Cap1x14_reg[i];
        label_Reg_addr->Text = String::Format("Register: 0x{0:X2}", i);
        switch(i) {
            case 0x00:
                label_Reg_context->Text = "Main Status Control ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x03:
                label_Reg_context->Text = "Button Status 1 ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x04:
                label_Reg_context->Text = "Button Status 2 ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x05:
                label_Reg_context->Text = "Build Revision";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x10 ";
                break;
            case 0x06:
                label_Reg_context->Text = "SlideR Position /VolumetriC Data ";
                label_RW->Text = " R-C /R/W";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x08:
                label_Reg_context->Text = "VendoR ID";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x5D ";
                break;
            case 0x09:
                label_Reg_context->Text = "VolumetriC Step";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x01 ";
                break;
            case 0x0A:
                label_Reg_context->Text = "Noise Status 1 ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x0B:
                label_Reg_context->Text = "Noise Status 2 ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x0C:
                label_Reg_context->Text = "Lid Closure Status ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x0D:
                label_Reg_context->Text = "Lid Closure Status ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x0E:
                label_Reg_context->Text = "GPIO Status";
                label_RW->Text = " R-C ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x0F:
                label_Reg_context->Text = "Group Status";
                label_RW->Text = " R-C ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x10:
                label_Reg_context->Text = "SensoR 1 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x11:
                label_Reg_context->Text = "SensoR 2 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x12:
                label_Reg_context->Text = "SensoR 3 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x13:
                label_Reg_context->Text = "SensoR 4 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x14:
                label_Reg_context->Text = "SensoR 5 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x15:
                label_Reg_context->Text = "SensoR 6 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x16:
                label_Reg_context->Text = "SensoR 7 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x17:
                label_Reg_context->Text = "SensoR 8 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x18:
                label_Reg_context->Text = "SensoR 9 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x19:
                label_Reg_context->Text = "SensoR 10 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x1A:
                label_Reg_context->Text = "SensoR 11 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x1B:
                label_Reg_context->Text = "SensoR 12 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x1C:
                label_Reg_context->Text = "SensoR 13 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x1D:
                label_Reg_context->Text = "SensoR 14 Delta Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x1E:
                label_Reg_context->Text = "Queue Control";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x03 ";
                break;
            case 0x1F:
                label_Reg_context->Text = "Data Sensitivity";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x2F ";
                break;
            case 0x20:
                label_Reg_context->Text = "Configuration ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x29 ";
                break;
            case 0x21:
                label_Reg_context->Text = "SensoR Enable";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xFF ";
                break;
            case 0x22:
                label_Reg_context->Text = "Button Configuration";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xA4 ";
                break;
            case 0x23:
                label_Reg_context->Text = "Group Configuration 1 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x47 ";
                break;
            case 0x24:
                label_Reg_context->Text = "Group Configuration 2 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xD4 ";
                break;
            case 0x25:
                label_Reg_context->Text = "Calibration Enable";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xFF ";
                break;
            case 0x26:
                label_Reg_context->Text = "Calibration Activate";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x27:
                label_Reg_context->Text = "Interrupt Enable 1 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xFF ";
                break;
            case 0x28:
                label_Reg_context->Text = "Interrupt Enable 2 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x29:
                label_Reg_context->Text = "Sleep Channel Control ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x2A:
                label_Reg_context->Text = "Multiple Press Configuration ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x82 ";
                break;
            case 0x2B:
                label_Reg_context->Text = "Lid Closure Configuration ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x2C:
                label_Reg_context->Text = "Lid Closure Queue Control";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x02 ";
                break;
            case 0x2D:
                label_Reg_context->Text = "Lid Closure Pattern 1";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x7F ";
                break;
            case 0x2E:
                label_Reg_context->Text = "Lid Closure Pattern 2";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x7F ";
                break;
            case 0x2F:
                label_Reg_context->Text = "Recalibration Configuration";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x93 ";
                break;
            case 0x30:
                label_Reg_context->Text = "SensoR 1 Threshold ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x40 ";
                break;
            case 0x31:
                label_Reg_context->Text = "SensoR 2 Threshold ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x40 ";
                break;
            case 0x32:
                label_Reg_context->Text = "SensoR 3 Threshold ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x40 ";
                break;
            case 0x33:
                label_Reg_context->Text = "SensoR 4 Threshold ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x40 ";
                break;
            case 0x34:
                label_Reg_context->Text = "SensoR 5 Threshold ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x40 ";
                break;
            case 0x35:
                label_Reg_context->Text = "SensoR 6 Threshold ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x40 ";
                break;
            case 0x36:
                label_Reg_context->Text = "SensoR 7 Threshold ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x40 ";
                break;
            case 0x37:
                label_Reg_context->Text = "Group Threshold";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x40 ";
                break;
            case 0x38:
                label_Reg_context->Text = "Button Noise Threshold 1";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xAA ";
                break;
            case 0x39:
                label_Reg_context->Text = "Button Noise Threshold 2";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xAA ";
                break;
            case 0x3A:
                label_Reg_context->Text = "Lid Closure Threshold 1";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xAA ";
                break;
            case 0x3B:
                label_Reg_context->Text = "Lid Closure Threshold 2";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xAA ";
                break;
            case 0x3C:
                label_Reg_context->Text = "Lid Closure Threshold 3";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xAA ";
                break;
            case 0x3D:
                label_Reg_context->Text = "Lid Closure Threshold 4";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x0A ";
                break;
            case 0x3E:
                label_Reg_context->Text = "SlideR Velocity Configuration ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xC5 ";
                break;
            case 0x3F:
                label_Reg_context->Text = "Digital Recalibration";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x40:
                label_Reg_context->Text = "Configuration 2";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x41:
                label_Reg_context->Text = "Grouped Channel SensoR Enable";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x7F ";
                break;
            case 0x42:
                label_Reg_context->Text = "Proximity Control";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x02 ";
                break;
            case 0x46:
                label_Reg_context->Text = "Grouped SensoR Calibration Activate";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x4E:
                label_Reg_context->Text = "Sampling Channel Select ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x4F:
                label_Reg_context->Text = "Sampling Configuration";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x50:
                label_Reg_context->Text = "SensoR 1 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x51:
                label_Reg_context->Text = "SensoR 2 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x52:
                label_Reg_context->Text = "SensoR 3 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x53:
                label_Reg_context->Text = "SensoR 4 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x54:
                label_Reg_context->Text = "SensoR 5 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x55:
                label_Reg_context->Text = "SensoR 6 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x56:
                label_Reg_context->Text = "SensoR 7 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x57:
                label_Reg_context->Text = "SensoR 8 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x58:
                label_Reg_context->Text = "SensoR 9 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x59:
                label_Reg_context->Text = "SensoR 10 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x5A:
                label_Reg_context->Text = "SensoR 11 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x5B:
                label_Reg_context->Text = "SensoR 12 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x5C:
                label_Reg_context->Text = "SensoR 13 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x5D:
                label_Reg_context->Text = "SensoR 14 Base Count";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x60:
                label_Reg_context->Text = "LED Status 1 ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x61:
                label_Reg_context->Text = "LED Status 2 ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x70:
                label_Reg_context->Text = "LED / GPIO Direction";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x71:
                label_Reg_context->Text = "LED / GPIO Output Type ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x72:
                label_Reg_context->Text = "GPIO Input";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x73:
                label_Reg_context->Text = "LED Output Control 1";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x74:
                label_Reg_context->Text = "LED Output Control 2";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x75:
                label_Reg_context->Text = "LED Polarity 1 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x76:
                label_Reg_context->Text = "LED Polarity 2 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x77:
                label_Reg_context->Text = "Linked LED Transition Control 1 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x78:
                label_Reg_context->Text = "Linked LED Transition Control 2 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x79:
                label_Reg_context->Text = "LED MirroR Control 1";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x7A:
                label_Reg_context->Text = "LED MirroR Control 2";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x80:
                label_Reg_context->Text = "SensoR LED Linking ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x81:
                label_Reg_context->Text = "LED BehavioR 1 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x82:
                label_Reg_context->Text = "LED BehavioR 2 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x83:
                label_Reg_context->Text = "LED BehavioR 3 ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x84:
                label_Reg_context->Text = "LED Pulse 1 Period";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x20 ";
                break;
            case 0x85:
                label_Reg_context->Text = "LED Pulse 2 Period";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x14 ";
                break;
            case 0x86:
                label_Reg_context->Text = "LED Breathe Period ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x5D ";
                break;
            case 0x88:
                label_Reg_context->Text = "LED Configuration";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x24 ";
                break;
            case 0x90:
                label_Reg_context->Text = "LED Pulse 1 Duty Cycle ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xF0 ";
                break;
            case 0x91:
                label_Reg_context->Text = "LED Pulse 2 Duty Cycle ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xF0 ";
                break;
            case 0x92:
                label_Reg_context->Text = "LED Breathe Duty Cycle";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xF0 ";
                break;
            case 0x93:
                label_Reg_context->Text = "LED Direct Duty Cycle";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0xF0 ";
                break;
            case 0x94:
                label_Reg_context->Text = "LED Direct Ramp Rates";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0x95:
                label_Reg_context->Text = "LED Off Delay ";
                label_RW->Text = " R/W ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB1:
                label_Reg_context->Text = "SensoR 1 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB2:
                label_Reg_context->Text = "SensoR 2 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB3:
                label_Reg_context->Text = "SensoR 3 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB4:
                label_Reg_context->Text = "SensoR 4 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB5:
                label_Reg_context->Text = "SensoR 5 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB6:
                label_Reg_context->Text = "SensoR 6 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB7:
                label_Reg_context->Text = "SensoR 7 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB8:
                label_Reg_context->Text = "SensoR 8 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xB9:
                label_Reg_context->Text = "SensoR 9 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xBA:
                label_Reg_context->Text = "SensoR 10 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xBB:
                label_Reg_context->Text = "SensoR 11 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xBC:
                label_Reg_context->Text = "SensoR 12 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xBD:
                label_Reg_context->Text = "SensoR 13 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xBE:
                label_Reg_context->Text = "SensoR 14 Calibration ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x00 ";
                break;
            case 0xFD:
                label_Reg_context->Text = "Product ID";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x3A ";
                break;
            case 0xFE:
                label_Reg_context->Text = "ManufactureR ID";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x5D ";
                break;
            case 0xFF:
                label_Reg_context->Text = "Revision ";
                label_RW->Text = " R ";
                label_Def_Value->Text = " Def. Value: 0x80 ";
                break;

            default:
                label_Reg_context->Text = "Un-used Register";
                label_Def_Value->Text = " Def. Value:";
                break;
        }
    }

private:
    System::Void dataGridView1_CellContentClick(System::Object ^  sender, System::Windows::Forms::DataGridViewCellEventArgs ^  e) {

    }
private:
    System::Void Form1_Load(System::Object ^  sender, System::EventArgs ^  e) {
        //note:
        //the rectangleShape is VB objbect which can'to use [rShape1_array[i]=Controls->Find("rectangleShape_"+i,true)[0]->Top;] with for loop.


        label_Reg_addr->Text = "";
        label_Reg_context->Text = "";
        numericUpDown1->Value = 0x30;
        label_RW->Text = "";
        label_Def_Value->Text = "";


    }
private:
    System::Void dataGridView1_CellClick(System::Object ^  sender, System::Windows::Forms::DataGridViewCellEventArgs ^  e) {
        int i;

        //cal. reg address

        gdataGridView_idx = e->RowIndex * 16 + e->ColumnIndex;
        Show_Reg_Info(gdataGridView_idx);

    }
private:
    System::Void numericUpDown2_ValueChanged(System::Object ^  sender, System::EventArgs ^  e) {
        int i, j;
        for(i = 1; i <= 8; i++) {
            this->Controls->Find("UD_Data" + i, true)[0]->Enabled = false;
        }

        for(i = 1; i <= numericUpDown2->Value; i++) {
            this->Controls->Find("UD_Data" + i, true)[0]->Enabled = true;
        }


    }

private:
    System::Void button2_Click(System::Object ^  sender, System::EventArgs ^  e) {
        unsigned char OutputPacketBuffer[64];	//Allocate a memory buffer equal to our report size
        int i;


        OutputPacketBuffer[0] = 0x14;		//0x14 Cmd.
        OutputPacketBuffer[1] = 0x50;		//device addr.
        OutputPacketBuffer[2] = 0x00;		//w
        OutputPacketBuffer[3] =	(unsigned char)numericUpDown1->Value;
        OutputPacketBuffer[4] = (unsigned char)numericUpDown2->Value;

        OutputPacketBuffer[0x10] = (unsigned char)UD_Data1->Value;
        OutputPacketBuffer[0x11] = (unsigned char)UD_Data2->Value;
        OutputPacketBuffer[0x12] = (unsigned char)UD_Data3->Value;
        OutputPacketBuffer[0x13] = (unsigned char)UD_Data4->Value;
        OutputPacketBuffer[0x14] = (unsigned char)UD_Data5->Value;
        OutputPacketBuffer[0x15] = (unsigned char)UD_Data6->Value;
        OutputPacketBuffer[0x16] = (unsigned char)UD_Data7->Value;
        OutputPacketBuffer[0x17] = (unsigned char)UD_Data8->Value;

        i = 0;
        do {
            if(i++ > 10)
                break;

        }
        while(!MCHPHIDClass::USBHIDWriteReport(OutputPacketBuffer, 64));

    }
private:
    System::Void btn_reset_Cap1x14_Click(System::Object ^  sender, System::EventArgs ^  e) {
        unsigned char OutputPacketBuffer[64];	//Allocate a memory buffer equal to our report size
        int i;
        //send reset command 0x16 to reset CAP1x14
        OutputPacketBuffer[0] = 0x15;		//0x14 Cmd.
        OutputPacketBuffer[1] = 0x50;		//device addr.
        i = 0;
        do {
            if(i++ > 10)
                break;
        }
        while(!MCHPHIDClass::USBHIDWriteReport(OutputPacketBuffer, 64));

    }

private:
    System::Void tabControl1_Click(System::Object ^  sender, System::EventArgs ^  e) {

        //main tab
        if(this->tabControl1->SelectedIndex == 0) {
            label_Reg_addr->Text = "";
            label_Reg_context->Text = "";
            numericUpDown1->Value = 0x30;
            label_RW->Text = "";
            label_Def_Value->Text = "";

        }

        //read/write tab
        if(this->tabControl1->SelectedIndex == 1) {
            numericUpDown1->Value = 0x0;
            Show_Reg_Info(gdataGridView_idx);
        }

		//Thermal tab
		if(this->tabControl1->SelectedIndex == 2) {
            label_Reg_addr->Text = "";
            label_Reg_context->Text = "";
            label_RW->Text = "";
            label_Def_Value->Text = "";

        }
    }
private:
    System::Void Reset_MCU_Click(System::Object ^  sender, System::EventArgs ^  e) {
        unsigned char OutputPacketBuffer[64];	//Allocate a memory buffer equal to our report size
        int i;
        //send reset command 0x16 to reset PIC
        OutputPacketBuffer[0] = 0x16;		//0x14 Cmd.
        OutputPacketBuffer[1] = 0x50;		//device addr.

        i = 0;
        do {
            if(i++ > 10)
                break;
        }
        while(!MCHPHIDClass::USBHIDWriteReport(OutputPacketBuffer, 64));
    }
private:
    System::Void radioButton_Pos_CheckedChanged(System::Object ^  sender, System::EventArgs ^  e) {
        unsigned char OutputPacketBuffer[64];	//Allocate a memory buffer equal to our report size
        int i;
        OutputPacketBuffer[0] = 0x14;		//0x14 Cmd.
        OutputPacketBuffer[1] = 0x50;		//device addr.
        OutputPacketBuffer[2] = 0x00;		//w
        OutputPacketBuffer[3] =	0x20;
        OutputPacketBuffer[4] = 1;

        if(radioButton_Pos->Checked == true) {
            radioButton_Vol->Checked = false;
            OutputPacketBuffer[0x10] = 0x20;	//Position mode

        }
        if(radioButton_Vol->Checked == true) {	//Vol. mode
            radioButton_Pos->Checked = false;
            OutputPacketBuffer[0x10] = 0x60;

        }
        i = 0;
        do {
            if(i++ > 10)
                break;
        }
        while(!MCHPHIDClass::USBHIDWriteReport(OutputPacketBuffer, 64));

    }
private:
    System::Void radioButton_Vol_CheckedChanged(System::Object ^  sender, System::EventArgs ^  e) {
        unsigned char OutputPacketBuffer[64];	//Allocate a memory buffer equal to our report size
        int i;
        OutputPacketBuffer[0] = 0x14;		//0x14 Cmd.
        OutputPacketBuffer[1] = 0x50;		//device addr.
        OutputPacketBuffer[2] = 0x00;		//w
        OutputPacketBuffer[3] =	0x20;
        OutputPacketBuffer[4] = 1;

        if(radioButton_Vol->Checked == true) {	//Vol. mode
            radioButton_Pos->Checked = false;
            OutputPacketBuffer[0x10] = 0x60;

        }
        i = 0;
        do {
            if(i++ > 10)
                break;
        }
        while(!MCHPHIDClass::USBHIDWriteReport(OutputPacketBuffer, 64));


    }

private:
    System::Void button_clear_int_Click(System::Object ^  sender, System::EventArgs ^  e) {
        unsigned char OutputPacketBuffer[64];	//Allocate a memory buffer equal to our report size
        int i;

        i = 0;
        do {
            OutputPacketBuffer[0] = 0x14;		//0x14 Cmd.
            OutputPacketBuffer[1] = 0x50;		//device addr.
            OutputPacketBuffer[2] = 0x00;		//w
            OutputPacketBuffer[3] =	0x00;		//start address
            OutputPacketBuffer[4] = 1;			//length

            OutputPacketBuffer[0x10] = Cap1x14_reg[0x00] & 0xfe;
            if(i++ > 10)
                break;
        }
        while(!MCHPHIDClass::USBHIDWriteReport(OutputPacketBuffer, 64));


    }


private:
    System::Void trackBar_PWM_ValueChanged(System::Object ^  sender, System::EventArgs ^  e) {
        unsigned char OutputPacketBuffer[64];	//Allocate a memory buffer equal to our report size
        int i;

        OutputPacketBuffer[0] = 0x17;		//0x14 Cmd.
        OutputPacketBuffer[0x37] = trackBar_PWM->Value;
        i = 0;
        do {
            if(i++ > 10)
                break;
        }
        while(!MCHPHIDClass::USBHIDWriteReport(OutputPacketBuffer, 64));
    }

};///////////////
}



